Changeset 224

Show
Ignore:
Timestamp:
02/08/08 19:38:52 (4 years ago)
Author:
ath
Message:

New makefile infrastructure.

Location:
trunk/fm_server
Files:
13 modified

Legend:

Unmodified
Added
Removed
  • trunk/fm_server/Makefile.in

    r220 r224  
    118118F77 = @F77@ 
    119119FFLAGS = @FFLAGS@ 
    120 FM_SERVER_CFLAGS = @FM_SERVER_CFLAGS@ 
    121 FM_SERVER_LIBS = @FM_SERVER_LIBS@ 
    122 FM_SERVER_TEST_CFLAGS = @FM_SERVER_TEST_CFLAGS@ 
    123 FM_SERVER_TEST_LIBS = @FM_SERVER_TEST_LIBS@ 
     120GLIB_CFLAGS = @GLIB_CFLAGS@ 
     121GLIB_LIBS = @GLIB_LIBS@ 
    124122GMSGFMT = @GMSGFMT@ 
    125123GMSGFMT_015 = @GMSGFMT_015@ 
    126124GREP = @GREP@ 
     125GSTREAMER_CFLAGS = @GSTREAMER_CFLAGS@ 
     126GSTREAMER_LIBS = @GSTREAMER_LIBS@ 
    127127INSTALL = @INSTALL@ 
    128128INSTALL_DATA = @INSTALL_DATA@ 
     
    140140LIBS = @LIBS@ 
    141141LIBTOOL = @LIBTOOL@ 
     142LIBXML_CFLAGS = @LIBXML_CFLAGS@ 
     143LIBXML_LIBS = @LIBXML_LIBS@ 
    142144LN_S = @LN_S@ 
    143145LTLIBICONV = @LTLIBICONV@ 
     
    170172PKG_CONFIG = @PKG_CONFIG@ 
    171173POSUB = @POSUB@ 
     174PULSE_CFLAGS = @PULSE_CFLAGS@ 
     175PULSE_LIBS = @PULSE_LIBS@ 
    172176RANLIB = @RANLIB@ 
    173177RGC_CLIENT_CFLAGS = @RGC_CLIENT_CFLAGS@ 
     
    175179RGC_SERVER_CFLAGS = @RGC_SERVER_CFLAGS@ 
    176180RGC_SERVER_LIBS = @RGC_SERVER_LIBS@ 
     181SAMPLERATE_CFLAGS = @SAMPLERATE_CFLAGS@ 
     182SAMPLERATE_LIBS = @SAMPLERATE_LIBS@ 
    177183SED = @SED@ 
    178184SET_MAKE = @SET_MAKE@ 
  • trunk/fm_server/config.h.in

    r217 r224  
    8282/* Define to 1 if you have the `memset' function. */ 
    8383#undef HAVE_MEMSET 
     84 
     85/* PulseAudio is available. */ 
     86#undef HAVE_PULSE 
    8487 
    8588/* Define to 1 if you have the `sched_setscheduler' function. */ 
  • trunk/fm_server/configure

    r220 r224  
    892892LIBOBJS 
    893893PKG_CONFIG 
    894 FM_SERVER_CFLAGS 
    895 FM_SERVER_LIBS 
    896 FM_SERVER_TEST_CFLAGS 
    897 FM_SERVER_TEST_LIBS 
     894GLIB_CFLAGS 
     895GLIB_LIBS 
     896LIBXML_CFLAGS 
     897LIBXML_LIBS 
     898GSTREAMER_CFLAGS 
     899GSTREAMER_LIBS 
     900SAMPLERATE_CFLAGS 
     901SAMPLERATE_LIBS 
    898902RGC_SERVER_CFLAGS 
    899903RGC_SERVER_LIBS 
    900904RGC_CLIENT_CFLAGS 
    901905RGC_CLIENT_LIBS 
     906ALSA_CFLAGS 
     907ALSA_LIBS 
     908HAVE_ALSA_TRUE 
     909HAVE_ALSA_FALSE 
    902910JACK_CFLAGS 
    903911JACK_LIBS 
    904912HAVE_JACK_TRUE 
    905913HAVE_JACK_FALSE 
    906 ALSA_CFLAGS 
    907 ALSA_LIBS 
    908 HAVE_ALSA_TRUE 
    909 HAVE_ALSA_FALSE 
     914PULSE_CFLAGS 
     915PULSE_LIBS 
     916HAVE_PULSE_TRUE 
     917HAVE_PULSE_FALSE 
    910918NO_PREFIX_PACKAGE_DATA_DIR 
    911919PACKAGE_DATA_DIR 
     
    936944FFLAGS 
    937945PKG_CONFIG 
    938 FM_SERVER_CFLAGS 
    939 FM_SERVER_LIBS 
    940 FM_SERVER_TEST_CFLAGS 
    941 FM_SERVER_TEST_LIBS 
     946GLIB_CFLAGS 
     947GLIB_LIBS 
     948LIBXML_CFLAGS 
     949LIBXML_LIBS 
     950GSTREAMER_CFLAGS 
     951GSTREAMER_LIBS 
     952SAMPLERATE_CFLAGS 
     953SAMPLERATE_LIBS 
    942954RGC_SERVER_CFLAGS 
    943955RGC_SERVER_LIBS 
    944956RGC_CLIENT_CFLAGS 
    945957RGC_CLIENT_LIBS 
     958ALSA_CFLAGS 
     959ALSA_LIBS 
    946960JACK_CFLAGS 
    947961JACK_LIBS 
    948 ALSA_CFLAGS 
    949 ALSA_LIBS' 
     962PULSE_CFLAGS 
     963PULSE_LIBS' 
    950964 
    951965 
     
    15651579  FFLAGS      Fortran 77 compiler flags 
    15661580  PKG_CONFIG  path to pkg-config utility 
    1567   FM_SERVER_CFLAGS 
    1568               C compiler flags for FM_SERVER, overriding pkg-config 
    1569   FM_SERVER_LIBS 
    1570               linker flags for FM_SERVER, overriding pkg-config 
    1571   FM_SERVER_TEST_CFLAGS 
    1572               C compiler flags for FM_SERVER_TEST, overriding pkg-config 
    1573   FM_SERVER_TEST_LIBS 
    1574               linker flags for FM_SERVER_TEST, overriding pkg-config 
     1581  GLIB_CFLAGS C compiler flags for GLIB, overriding pkg-config 
     1582  GLIB_LIBS   linker flags for GLIB, overriding pkg-config 
     1583  LIBXML_CFLAGS 
     1584              C compiler flags for LIBXML, overriding pkg-config 
     1585  LIBXML_LIBS linker flags for LIBXML, overriding pkg-config 
     1586  GSTREAMER_CFLAGS 
     1587              C compiler flags for GSTREAMER, overriding pkg-config 
     1588  GSTREAMER_LIBS 
     1589              linker flags for GSTREAMER, overriding pkg-config 
     1590  SAMPLERATE_CFLAGS 
     1591              C compiler flags for SAMPLERATE, overriding pkg-config 
     1592  SAMPLERATE_LIBS 
     1593              linker flags for SAMPLERATE, overriding pkg-config 
    15751594  RGC_SERVER_CFLAGS 
    15761595              C compiler flags for RGC_SERVER, overriding pkg-config 
     
    15811600  RGC_CLIENT_LIBS 
    15821601              linker flags for RGC_CLIENT, overriding pkg-config 
     1602  ALSA_CFLAGS C compiler flags for ALSA, overriding pkg-config 
     1603  ALSA_LIBS   linker flags for ALSA, overriding pkg-config 
    15831604  JACK_CFLAGS C compiler flags for JACK, overriding pkg-config 
    15841605  JACK_LIBS   linker flags for JACK, overriding pkg-config 
    1585   ALSA_CFLAGS C compiler flags for ALSA, overriding pkg-config 
    1586   ALSA_LIBS   linker flags for ALSA, overriding pkg-config 
     1606  PULSE_CFLAGS 
     1607              C compiler flags for PULSE, overriding pkg-config 
     1608  PULSE_LIBS  linker flags for PULSE, overriding pkg-config 
    15871609 
    15881610Use these variables to override the choices made by `configure' or to help 
     
    44034425*-*-irix6*) 
    44044426  # Find out which ABI we are using. 
    4405   echo '#line 4405 "configure"' > conftest.$ac_ext 
     4427  echo '#line 4427 "configure"' > conftest.$ac_ext 
    44064428  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
    44074429  (eval $ac_compile) 2>&5 
     
    74357457   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    74367458   -e 's:$: $lt_compiler_flag:'` 
    7437    (eval echo "\"\$as_me:7437: $lt_compile\"" >&5) 
     7459   (eval echo "\"\$as_me:7459: $lt_compile\"" >&5) 
    74387460   (eval "$lt_compile" 2>conftest.err) 
    74397461   ac_status=$? 
    74407462   cat conftest.err >&5 
    7441    echo "$as_me:7441: \$? = $ac_status" >&5 
     7463   echo "$as_me:7463: \$? = $ac_status" >&5 
    74427464   if (exit $ac_status) && test -s "$ac_outfile"; then 
    74437465     # The compiler can only warn and ignore the option if not recognized 
     
    77257747   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    77267748   -e 's:$: $lt_compiler_flag:'` 
    7727    (eval echo "\"\$as_me:7727: $lt_compile\"" >&5) 
     7749   (eval echo "\"\$as_me:7749: $lt_compile\"" >&5) 
    77287750   (eval "$lt_compile" 2>conftest.err) 
    77297751   ac_status=$? 
    77307752   cat conftest.err >&5 
    7731    echo "$as_me:7731: \$? = $ac_status" >&5 
     7753   echo "$as_me:7753: \$? = $ac_status" >&5 
    77327754   if (exit $ac_status) && test -s "$ac_outfile"; then 
    77337755     # The compiler can only warn and ignore the option if not recognized 
     
    78297851   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    78307852   -e 's:$: $lt_compiler_flag:'` 
    7831    (eval echo "\"\$as_me:7831: $lt_compile\"" >&5) 
     7853   (eval echo "\"\$as_me:7853: $lt_compile\"" >&5) 
    78327854   (eval "$lt_compile" 2>out/conftest.err) 
    78337855   ac_status=$? 
    78347856   cat out/conftest.err >&5 
    7835    echo "$as_me:7835: \$? = $ac_status" >&5 
     7857   echo "$as_me:7857: \$? = $ac_status" >&5 
    78367858   if (exit $ac_status) && test -s out/conftest2.$ac_objext 
    78377859   then 
     
    1019110213  lt_status=$lt_dlunknown 
    1019210214  cat > conftest.$ac_ext <<EOF 
    10193 #line 10193 "configure" 
     10215#line 10215 "configure" 
    1019410216#include "confdefs.h" 
    1019510217 
     
    1029110313  lt_status=$lt_dlunknown 
    1029210314  cat > conftest.$ac_ext <<EOF 
    10293 #line 10293 "configure" 
     10315#line 10315 "configure" 
    1029410316#include "confdefs.h" 
    1029510317 
     
    1271112733   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1271212734   -e 's:$: $lt_compiler_flag:'` 
    12713    (eval echo "\"\$as_me:12713: $lt_compile\"" >&5) 
     12735   (eval echo "\"\$as_me:12735: $lt_compile\"" >&5) 
    1271412736   (eval "$lt_compile" 2>conftest.err) 
    1271512737   ac_status=$? 
    1271612738   cat conftest.err >&5 
    12717    echo "$as_me:12717: \$? = $ac_status" >&5 
     12739   echo "$as_me:12739: \$? = $ac_status" >&5 
    1271812740   if (exit $ac_status) && test -s "$ac_outfile"; then 
    1271912741     # The compiler can only warn and ignore the option if not recognized 
     
    1281512837   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1281612838   -e 's:$: $lt_compiler_flag:'` 
    12817    (eval echo "\"\$as_me:12817: $lt_compile\"" >&5) 
     12839   (eval echo "\"\$as_me:12839: $lt_compile\"" >&5) 
    1281812840   (eval "$lt_compile" 2>out/conftest.err) 
    1281912841   ac_status=$? 
    1282012842   cat out/conftest.err >&5 
    12821    echo "$as_me:12821: \$? = $ac_status" >&5 
     12843   echo "$as_me:12843: \$? = $ac_status" >&5 
    1282212844   if (exit $ac_status) && test -s out/conftest2.$ac_objext 
    1282312845   then 
     
    1439214414   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1439314415   -e 's:$: $lt_compiler_flag:'` 
    14394    (eval echo "\"\$as_me:14394: $lt_compile\"" >&5) 
     14416   (eval echo "\"\$as_me:14416: $lt_compile\"" >&5) 
    1439514417   (eval "$lt_compile" 2>conftest.err) 
    1439614418   ac_status=$? 
    1439714419   cat conftest.err >&5 
    14398    echo "$as_me:14398: \$? = $ac_status" >&5 
     14420   echo "$as_me:14420: \$? = $ac_status" >&5 
    1439914421   if (exit $ac_status) && test -s "$ac_outfile"; then 
    1440014422     # The compiler can only warn and ignore the option if not recognized 
     
    1449614518   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1449714519   -e 's:$: $lt_compiler_flag:'` 
    14498    (eval echo "\"\$as_me:14498: $lt_compile\"" >&5) 
     14520   (eval echo "\"\$as_me:14520: $lt_compile\"" >&5) 
    1449914521   (eval "$lt_compile" 2>out/conftest.err) 
    1450014522   ac_status=$? 
    1450114523   cat out/conftest.err >&5 
    14502    echo "$as_me:14502: \$? = $ac_status" >&5 
     14524   echo "$as_me:14524: \$? = $ac_status" >&5 
    1450314525   if (exit $ac_status) && test -s out/conftest2.$ac_objext 
    1450414526   then 
     
    1669616718   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1669716719   -e 's:$: $lt_compiler_flag:'` 
    16698    (eval echo "\"\$as_me:16698: $lt_compile\"" >&5) 
     16720   (eval echo "\"\$as_me:16720: $lt_compile\"" >&5) 
    1669916721   (eval "$lt_compile" 2>conftest.err) 
    1670016722   ac_status=$? 
    1670116723   cat conftest.err >&5 
    16702    echo "$as_me:16702: \$? = $ac_status" >&5 
     16724   echo "$as_me:16724: \$? = $ac_status" >&5 
    1670316725   if (exit $ac_status) && test -s "$ac_outfile"; then 
    1670416726     # The compiler can only warn and ignore the option if not recognized 
     
    1698617008   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1698717009   -e 's:$: $lt_compiler_flag:'` 
    16988    (eval echo "\"\$as_me:16988: $lt_compile\"" >&5) 
     17010   (eval echo "\"\$as_me:17010: $lt_compile\"" >&5) 
    1698917011   (eval "$lt_compile" 2>conftest.err) 
    1699017012   ac_status=$? 
    1699117013   cat conftest.err >&5 
    16992    echo "$as_me:16992: \$? = $ac_status" >&5 
     17014   echo "$as_me:17014: \$? = $ac_status" >&5 
    1699317015   if (exit $ac_status) && test -s "$ac_outfile"; then 
    1699417016     # The compiler can only warn and ignore the option if not recognized 
     
    1709017112   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 
    1709117113   -e 's:$: $lt_compiler_flag:'` 
    17092    (eval echo "\"\$as_me:17092: $lt_compile\"" >&5) 
     17114   (eval echo "\"\$as_me:17114: $lt_compile\"" >&5) 
    1709317115   (eval "$lt_compile" 2>out/conftest.err) 
    1709417116   ac_status=$? 
    1709517117   cat out/conftest.err >&5 
    17096    echo "$as_me:17096: \$? = $ac_status" >&5 
     17118   echo "$as_me:17118: \$? = $ac_status" >&5 
    1709717119   if (exit $ac_status) && test -s out/conftest2.$ac_objext 
    1709817120   then 
     
    2449124513 
    2449224514pkg_failed=no 
    24493 { echo "$as_me:$LINENO: checking for FM_SERVER" >&5 
    24494 echo $ECHO_N "checking for FM_SERVER... $ECHO_C" >&6; } 
     24515{ echo "$as_me:$LINENO: checking for GLIB" >&5 
     24516echo $ECHO_N "checking for GLIB... $ECHO_C" >&6; } 
    2449524517 
    2449624518if test -n "$PKG_CONFIG"; then 
    24497     if test -n "$FM_SERVER_CFLAGS"; then 
    24498         pkg_cv_FM_SERVER_CFLAGS="$FM_SERVER_CFLAGS" 
     24519    if test -n "$GLIB_CFLAGS"; then 
     24520        pkg_cv_GLIB_CFLAGS="$GLIB_CFLAGS" 
    2449924521    else 
    2450024522        if test -n "$PKG_CONFIG" && \ 
    24501     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0 gthread-2.0 gobject-2.0 samplerate gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10\"") >&5 
    24502   ($PKG_CONFIG --exists --print-errors "glib-2.0 gthread-2.0 gobject-2.0 samplerate gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10") 2>&5 
     24523    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0 gthread-2.0 gobject-2.0\"") >&5 
     24524  ($PKG_CONFIG --exists --print-errors "glib-2.0 gthread-2.0 gobject-2.0") 2>&5 
    2450324525  ac_status=$? 
    2450424526  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    2450524527  (exit $ac_status); }; then 
    24506   pkg_cv_FM_SERVER_CFLAGS=`$PKG_CONFIG --cflags "glib-2.0 gthread-2.0 gobject-2.0 samplerate gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10" 2>/dev/null` 
     24528  pkg_cv_GLIB_CFLAGS=`$PKG_CONFIG --cflags "glib-2.0 gthread-2.0 gobject-2.0" 2>/dev/null` 
    2450724529else 
    2450824530  pkg_failed=yes 
     
    2451324535fi 
    2451424536if test -n "$PKG_CONFIG"; then 
    24515     if test -n "$FM_SERVER_LIBS"; then 
    24516         pkg_cv_FM_SERVER_LIBS="$FM_SERVER_LIBS" 
     24537    if test -n "$GLIB_LIBS"; then 
     24538        pkg_cv_GLIB_LIBS="$GLIB_LIBS" 
    2451724539    else 
    2451824540        if test -n "$PKG_CONFIG" && \ 
    24519     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0 gthread-2.0 gobject-2.0 samplerate gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10\"") >&5 
    24520   ($PKG_CONFIG --exists --print-errors "glib-2.0 gthread-2.0 gobject-2.0 samplerate gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10") 2>&5 
     24541    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0 gthread-2.0 gobject-2.0\"") >&5 
     24542  ($PKG_CONFIG --exists --print-errors "glib-2.0 gthread-2.0 gobject-2.0") 2>&5 
    2452124543  ac_status=$? 
    2452224544  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    2452324545  (exit $ac_status); }; then 
    24524   pkg_cv_FM_SERVER_LIBS=`$PKG_CONFIG --libs "glib-2.0 gthread-2.0 gobject-2.0 samplerate gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10" 2>/dev/null` 
     24546  pkg_cv_GLIB_LIBS=`$PKG_CONFIG --libs "glib-2.0 gthread-2.0 gobject-2.0" 2>/dev/null` 
    2452524547else 
    2452624548  pkg_failed=yes 
     
    2454124563fi 
    2454224564        if test $_pkg_short_errors_supported = yes; then 
    24543                 FM_SERVER_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "glib-2.0 gthread-2.0 gobject-2.0 samplerate gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10"` 
     24565                GLIB_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "glib-2.0 gthread-2.0 gobject-2.0"` 
    2454424566        else 
    24545                 FM_SERVER_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "glib-2.0 gthread-2.0 gobject-2.0 samplerate gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10"` 
     24567                GLIB_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "glib-2.0 gthread-2.0 gobject-2.0"` 
    2454624568        fi 
    2454724569        # Put the nasty error message in config.log where it belongs 
    24548         echo "$FM_SERVER_PKG_ERRORS" >&5 
    24549  
    24550         { { echo "$as_me:$LINENO: error: Package requirements (glib-2.0 gthread-2.0 gobject-2.0 samplerate gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10) were not met: 
    24551  
    24552 $FM_SERVER_PKG_ERRORS 
     24570        echo "$GLIB_PKG_ERRORS" >&5 
     24571 
     24572        { { echo "$as_me:$LINENO: error: Package requirements (glib-2.0 gthread-2.0 gobject-2.0) were not met: 
     24573 
     24574$GLIB_PKG_ERRORS 
    2455324575 
    2455424576Consider adjusting the PKG_CONFIG_PATH environment variable if you 
    2455524577installed software in a non-standard prefix. 
    2455624578 
    24557 Alternatively, you may set the environment variables FM_SERVER_CFLAGS 
    24558 and FM_SERVER_LIBS to avoid the need to call pkg-config. 
     24579Alternatively, you may set the environment variables GLIB_CFLAGS 
     24580and GLIB_LIBS to avoid the need to call pkg-config. 
    2455924581See the pkg-config man page for more details. 
    2456024582" >&5 
    24561 echo "$as_me: error: Package requirements (glib-2.0 gthread-2.0 gobject-2.0 samplerate gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10) were not met: 
    24562  
    24563 $FM_SERVER_PKG_ERRORS 
     24583echo "$as_me: error: Package requirements (glib-2.0 gthread-2.0 gobject-2.0) were not met: 
     24584 
     24585$GLIB_PKG_ERRORS 
    2456424586 
    2456524587Consider adjusting the PKG_CONFIG_PATH environment variable if you 
    2456624588installed software in a non-standard prefix. 
    2456724589 
    24568 Alternatively, you may set the environment variables FM_SERVER_CFLAGS 
    24569 and FM_SERVER_LIBS to avoid the need to call pkg-config. 
     24590Alternatively, you may set the environment variables GLIB_CFLAGS 
     24591and GLIB_LIBS to avoid the need to call pkg-config. 
    2457024592See the pkg-config man page for more details. 
    2457124593" >&2;} 
     
    2457624598path to pkg-config. 
    2457724599 
    24578 Alternatively, you may set the environment variables FM_SERVER_CFLAGS 
    24579 and FM_SERVER_LIBS to avoid the need to call pkg-config. 
     24600Alternatively, you may set the environment variables GLIB_CFLAGS 
     24601and GLIB_LIBS to avoid the need to call pkg-config. 
    2458024602See the pkg-config man page for more details. 
    2458124603 
     
    2458624608path to pkg-config. 
    2458724609 
    24588 Alternatively, you may set the environment variables FM_SERVER_CFLAGS 
    24589 and FM_SERVER_LIBS to avoid the need to call pkg-config. 
     24610Alternatively, you may set the environment variables GLIB_CFLAGS 
     24611and GLIB_LIBS to avoid the need to call pkg-config. 
    2459024612See the pkg-config man page for more details. 
    2459124613 
     
    2459424616   { (exit 1); exit 1; }; } 
    2459524617else 
    24596         FM_SERVER_CFLAGS=$pkg_cv_FM_SERVER_CFLAGS 
    24597         FM_SERVER_LIBS=$pkg_cv_FM_SERVER_LIBS 
     24618        GLIB_CFLAGS=$pkg_cv_GLIB_CFLAGS 
     24619        GLIB_LIBS=$pkg_cv_GLIB_LIBS 
    2459824620        { echo "$as_me:$LINENO: result: yes" >&5 
    2459924621echo "${ECHO_T}yes" >&6; } 
     
    2460524627 
    2460624628pkg_failed=no 
    24607 { echo "$as_me:$LINENO: checking for FM_SERVER_TEST" >&5 
    24608 echo $ECHO_N "checking for FM_SERVER_TEST... $ECHO_C" >&6; } 
     24629{ echo "$as_me:$LINENO: checking for LIBXML" >&5 
     24630echo $ECHO_N "checking for LIBXML... $ECHO_C" >&6; } 
    2460924631 
    2461024632if test -n "$PKG_CONFIG"; then 
    24611     if test -n "$FM_SERVER_TEST_CFLAGS"; then 
    24612         pkg_cv_FM_SERVER_TEST_CFLAGS="$FM_SERVER_TEST_CFLAGS" 
     24633    if test -n "$LIBXML_CFLAGS"; then 
     24634        pkg_cv_LIBXML_CFLAGS="$LIBXML_CFLAGS" 
    2461324635    else 
    2461424636        if test -n "$PKG_CONFIG" && \ 
    24615     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0 gthread-2.0 gobject-2.0\"") >&5 
    24616   ($PKG_CONFIG --exists --print-errors "glib-2.0 gthread-2.0 gobject-2.0") 2>&5 
     24637    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libxml-2.0\"") >&5 
     24638  ($PKG_CONFIG --exists --print-errors "libxml-2.0") 2>&5 
    2461724639  ac_status=$? 
    2461824640  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    2461924641  (exit $ac_status); }; then 
    24620   pkg_cv_FM_SERVER_TEST_CFLAGS=`$PKG_CONFIG --cflags "glib-2.0 gthread-2.0 gobject-2.0" 2>/dev/null` 
     24642  pkg_cv_LIBXML_CFLAGS=`$PKG_CONFIG --cflags "libxml-2.0" 2>/dev/null` 
    2462124643else 
    2462224644  pkg_failed=yes 
     
    2462724649fi 
    2462824650if test -n "$PKG_CONFIG"; then 
    24629     if test -n "$FM_SERVER_TEST_LIBS"; then 
    24630         pkg_cv_FM_SERVER_TEST_LIBS="$FM_SERVER_TEST_LIBS" 
     24651    if test -n "$LIBXML_LIBS"; then 
     24652        pkg_cv_LIBXML_LIBS="$LIBXML_LIBS" 
    2463124653    else 
    2463224654        if test -n "$PKG_CONFIG" && \ 
    24633     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0 gthread-2.0 gobject-2.0\"") >&5 
    24634   ($PKG_CONFIG --exists --print-errors "glib-2.0 gthread-2.0 gobject-2.0") 2>&5 
     24655    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libxml-2.0\"") >&5 
     24656  ($PKG_CONFIG --exists --print-errors "libxml-2.0") 2>&5 
    2463524657  ac_status=$? 
    2463624658  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    2463724659  (exit $ac_status); }; then 
    24638   pkg_cv_FM_SERVER_TEST_LIBS=`$PKG_CONFIG --libs "glib-2.0 gthread-2.0 gobject-2.0" 2>/dev/null` 
     24660  pkg_cv_LIBXML_LIBS=`$PKG_CONFIG --libs "libxml-2.0" 2>/dev/null` 
    2463924661else 
    2464024662  pkg_failed=yes 
     
    2465524677fi 
    2465624678        if test $_pkg_short_errors_supported = yes; then 
    24657                 FM_SERVER_TEST_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "glib-2.0 gthread-2.0 gobject-2.0"` 
     24679                LIBXML_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libxml-2.0"` 
    2465824680        else 
    24659                 FM_SERVER_TEST_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "glib-2.0 gthread-2.0 gobject-2.0"` 
     24681                LIBXML_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libxml-2.0"` 
    2466024682        fi 
    2466124683        # Put the nasty error message in config.log where it belongs 
    24662         echo "$FM_SERVER_TEST_PKG_ERRORS" >&5 
    24663  
    24664         { { echo "$as_me:$LINENO: error: Package requirements (glib-2.0 gthread-2.0 gobject-2.0) were not met: 
    24665  
    24666 $FM_SERVER_TEST_PKG_ERRORS 
     24684        echo "$LIBXML_PKG_ERRORS" >&5 
     24685 
     24686        { { echo "$as_me:$LINENO: error: Package requirements (libxml-2.0) were not met: 
     24687 
     24688$LIBXML_PKG_ERRORS 
    2466724689 
    2466824690Consider adjusting the PKG_CONFIG_PATH environment variable if you 
    2466924691installed software in a non-standard prefix. 
    2467024692 
    24671 Alternatively, you may set the environment variables FM_SERVER_TEST_CFLAGS 
    24672 and FM_SERVER_TEST_LIBS to avoid the need to call pkg-config. 
     24693Alternatively, you may set the environment variables LIBXML_CFLAGS 
     24694and LIBXML_LIBS to avoid the need to call pkg-config. 
    2467324695See the pkg-config man page for more details. 
    2467424696" >&5 
    24675 echo "$as_me: error: Package requirements (glib-2.0 gthread-2.0 gobject-2.0) were not met: 
    24676  
    24677 $FM_SERVER_TEST_PKG_ERRORS 
     24697echo "$as_me: error: Package requirements (libxml-2.0) were not met: 
     24698 
     24699$LIBXML_PKG_ERRORS 
    2467824700 
    2467924701Consider adjusting the PKG_CONFIG_PATH environment variable if you 
    2468024702installed software in a non-standard prefix. 
    2468124703 
    24682 Alternatively, you may set the environment variables FM_SERVER_TEST_CFLAGS 
    24683 and FM_SERVER_TEST_LIBS to avoid the need to call pkg-config. 
     24704Alternatively, you may set the environment variables LIBXML_CFLAGS 
     24705and LIBXML_LIBS to avoid the need to call pkg-config. 
    2468424706See the pkg-config man page for more details. 
    2468524707" >&2;} 
     
    2469024712path to pkg-config. 
    2469124713 
    24692 Alternatively, you may set the environment variables FM_SERVER_TEST_CFLAGS 
    24693 and FM_SERVER_TEST_LIBS to avoid the need to call pkg-config. 
     24714Alternatively, you may set the environment variables LIBXML_CFLAGS 
     24715and LIBXML_LIBS to avoid the need to call pkg-config. 
    2469424716See the pkg-config man page for more details. 
    2469524717 
     
    2470024722path to pkg-config. 
    2470124723 
    24702 Alternatively, you may set the environment variables FM_SERVER_TEST_CFLAGS 
    24703 and FM_SERVER_TEST_LIBS to avoid the need to call pkg-config. 
     24724Alternatively, you may set the environment variables LIBXML_CFLAGS 
     24725and LIBXML_LIBS to avoid the need to call pkg-config. 
    2470424726See the pkg-config man page for more details. 
    2470524727 
     
    2470824730   { (exit 1); exit 1; }; } 
    2470924731else 
    24710         FM_SERVER_TEST_CFLAGS=$pkg_cv_FM_SERVER_TEST_CFLAGS 
    24711         FM_SERVER_TEST_LIBS=$pkg_cv_FM_SERVER_TEST_LIBS 
     24732        LIBXML_CFLAGS=$pkg_cv_LIBXML_CFLAGS 
     24733        LIBXML_LIBS=$pkg_cv_LIBXML_LIBS 
     24734        { echo "$as_me:$LINENO: result: yes" >&5 
     24735echo "${ECHO_T}yes" >&6; } 
     24736        : 
     24737fi 
     24738 
     24739 
     24740 
     24741 
     24742pkg_failed=no 
     24743{ echo "$as_me:$LINENO: checking for GSTREAMER" >&5 
     24744echo $ECHO_N "checking for GSTREAMER... $ECHO_C" >&6; } 
     24745 
     24746if test -n "$PKG_CONFIG"; then 
     24747    if test -n "$GSTREAMER_CFLAGS"; then 
     24748        pkg_cv_GSTREAMER_CFLAGS="$GSTREAMER_CFLAGS" 
     24749    else 
     24750        if test -n "$PKG_CONFIG" && \ 
     24751    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10\"") >&5 
     24752  ($PKG_CONFIG --exists --print-errors "gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10") 2>&5 
     24753  ac_status=$? 
     24754  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     24755  (exit $ac_status); }; then 
     24756  pkg_cv_GSTREAMER_CFLAGS=`$PKG_CONFIG --cflags "gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10" 2>/dev/null` 
     24757else 
     24758  pkg_failed=yes 
     24759fi 
     24760    fi 
     24761else 
     24762        pkg_failed=untried 
     24763fi 
     24764if test -n "$PKG_CONFIG"; then 
     24765    if test -n "$GSTREAMER_LIBS"; then 
     24766        pkg_cv_GSTREAMER_LIBS="$GSTREAMER_LIBS" 
     24767    else 
     24768        if test -n "$PKG_CONFIG" && \ 
     24769    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10\"") >&5 
     24770  ($PKG_CONFIG --exists --print-errors "gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10") 2>&5 
     24771  ac_status=$? 
     24772  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     24773  (exit $ac_status); }; then 
     24774  pkg_cv_GSTREAMER_LIBS=`$PKG_CONFIG --libs "gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10" 2>/dev/null` 
     24775else 
     24776  pkg_failed=yes 
     24777fi 
     24778    fi 
     24779else 
     24780        pkg_failed=untried 
     24781fi 
     24782 
     24783 
     24784 
     24785if test $pkg_failed = yes; then 
     24786 
     24787if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then 
     24788        _pkg_short_errors_supported=yes 
     24789else 
     24790        _pkg_short_errors_supported=no 
     24791fi 
     24792        if test $_pkg_short_errors_supported = yes; then 
     24793                GSTREAMER_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10"` 
     24794        else 
     24795                GSTREAMER_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10"` 
     24796        fi 
     24797        # Put the nasty error message in config.log where it belongs 
     24798        echo "$GSTREAMER_PKG_ERRORS" >&5 
     24799 
     24800        { { echo "$as_me:$LINENO: error: Package requirements (gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10) were not met: 
     24801 
     24802$GSTREAMER_PKG_ERRORS 
     24803 
     24804Consider adjusting the PKG_CONFIG_PATH environment variable if you 
     24805installed software in a non-standard prefix. 
     24806 
     24807Alternatively, you may set the environment variables GSTREAMER_CFLAGS 
     24808and GSTREAMER_LIBS to avoid the need to call pkg-config. 
     24809See the pkg-config man page for more details. 
     24810" >&5 
     24811echo "$as_me: error: Package requirements (gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10) were not met: 
     24812 
     24813$GSTREAMER_PKG_ERRORS 
     24814 
     24815Consider adjusting the PKG_CONFIG_PATH environment variable if you 
     24816installed software in a non-standard prefix. 
     24817 
     24818Alternatively, you may set the environment variables GSTREAMER_CFLAGS 
     24819and GSTREAMER_LIBS to avoid the need to call pkg-config. 
     24820See the pkg-config man page for more details. 
     24821" >&2;} 
     24822   { (exit 1); exit 1; }; } 
     24823elif test $pkg_failed = untried; then 
     24824        { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it 
     24825is in your PATH or set the PKG_CONFIG environment variable to the full 
     24826path to pkg-config. 
     24827 
     24828Alternatively, you may set the environment variables GSTREAMER_CFLAGS 
     24829and GSTREAMER_LIBS to avoid the need to call pkg-config. 
     24830See the pkg-config man page for more details. 
     24831 
     24832To get pkg-config, see <http://pkg-config.freedesktop.org/>. 
     24833See \`config.log' for more details." >&5 
     24834echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it 
     24835is in your PATH or set the PKG_CONFIG environment variable to the full 
     24836path to pkg-config. 
     24837 
     24838Alternatively, you may set the environment variables GSTREAMER_CFLAGS 
     24839and GSTREAMER_LIBS to avoid the need to call pkg-config. 
     24840See the pkg-config man page for more details. 
     24841 
     24842To get pkg-config, see <http://pkg-config.freedesktop.org/>. 
     24843See \`config.log' for more details." >&2;} 
     24844   { (exit 1); exit 1; }; } 
     24845else 
     24846        GSTREAMER_CFLAGS=$pkg_cv_GSTREAMER_CFLAGS 
     24847        GSTREAMER_LIBS=$pkg_cv_GSTREAMER_LIBS 
     24848        { echo "$as_me:$LINENO: result: yes" >&5 
     24849echo "${ECHO_T}yes" >&6; } 
     24850        : 
     24851fi 
     24852 
     24853 
     24854 
     24855 
     24856pkg_failed=no 
     24857{ echo "$as_me:$LINENO: checking for SAMPLERATE" >&5 
     24858echo $ECHO_N "checking for SAMPLERATE... $ECHO_C" >&6; } 
     24859 
     24860if test -n "$PKG_CONFIG"; then 
     24861    if test -n "$SAMPLERATE_CFLAGS"; then 
     24862        pkg_cv_SAMPLERATE_CFLAGS="$SAMPLERATE_CFLAGS" 
     24863    else 
     24864        if test -n "$PKG_CONFIG" && \ 
     24865    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"samplerate\"") >&5 
     24866  ($PKG_CONFIG --exists --print-errors "samplerate") 2>&5 
     24867  ac_status=$? 
     24868  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     24869  (exit $ac_status); }; then 
     24870  pkg_cv_SAMPLERATE_CFLAGS=`$PKG_CONFIG --cflags "samplerate" 2>/dev/null` 
     24871else 
     24872  pkg_failed=yes 
     24873fi 
     24874    fi 
     24875else 
     24876        pkg_failed=untried 
     24877fi 
     24878if test -n "$PKG_CONFIG"; then 
     24879    if test -n "$SAMPLERATE_LIBS"; then 
     24880        pkg_cv_SAMPLERATE_LIBS="$SAMPLERATE_LIBS" 
     24881    else 
     24882        if test -n "$PKG_CONFIG" && \ 
     24883    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"samplerate\"") >&5 
     24884  ($PKG_CONFIG --exists --print-errors "samplerate") 2>&5 
     24885  ac_status=$? 
     24886  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     24887  (exit $ac_status); }; then 
     24888  pkg_cv_SAMPLERATE_LIBS=`$PKG_CONFIG --libs "samplerate" 2>/dev/null` 
     24889else 
     24890  pkg_failed=yes 
     24891fi 
     24892    fi 
     24893else 
     24894        pkg_failed=untried 
     24895fi 
     24896 
     24897 
     24898 
     24899if test $pkg_failed = yes; then 
     24900 
     24901if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then 
     24902        _pkg_short_errors_supported=yes 
     24903else 
     24904        _pkg_short_errors_supported=no 
     24905fi 
     24906        if test $_pkg_short_errors_supported = yes; then 
     24907                SAMPLERATE_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "samplerate"` 
     24908        else 
     24909                SAMPLERATE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "samplerate"` 
     24910        fi 
     24911        # Put the nasty error message in config.log where it belongs 
     24912        echo "$SAMPLERATE_PKG_ERRORS" >&5 
     24913 
     24914        { { echo "$as_me:$LINENO: error: Package requirements (samplerate) were not met: 
     24915 
     24916$SAMPLERATE_PKG_ERRORS 
     24917 
     24918Consider adjusting the PKG_CONFIG_PATH environment variable if you 
     24919installed software in a non-standard prefix. 
     24920 
     24921Alternatively, you may set the environment variables SAMPLERATE_CFLAGS 
     24922and SAMPLERATE_LIBS to avoid the need to call pkg-config. 
     24923See the pkg-config man page for more details. 
     24924" >&5 
     24925echo "$as_me: error: Package requirements (samplerate) were not met: 
     24926 
     24927$SAMPLERATE_PKG_ERRORS 
     24928 
     24929Consider adjusting the PKG_CONFIG_PATH environment variable if you 
     24930installed software in a non-standard prefix. 
     24931 
     24932Alternatively, you may set the environment variables SAMPLERATE_CFLAGS 
     24933and SAMPLERATE_LIBS to avoid the need to call pkg-config. 
     24934See the pkg-config man page for more details. 
     24935" >&2;} 
     24936   { (exit 1); exit 1; }; } 
     24937elif test $pkg_failed = untried; then 
     24938        { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it 
     24939is in your PATH or set the PKG_CONFIG environment variable to the full 
     24940path to pkg-config. 
     24941 
     24942Alternatively, you may set the environment variables SAMPLERATE_CFLAGS 
     24943and SAMPLERATE_LIBS to avoid the need to call pkg-config. 
     24944See the pkg-config man page for more details. 
     24945 
     24946To get pkg-config, see <http://pkg-config.freedesktop.org/>. 
     24947See \`config.log' for more details." >&5 
     24948echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it 
     24949is in your PATH or set the PKG_CONFIG environment variable to the full 
     24950path to pkg-config. 
     24951 
     24952Alternatively, you may set the environment variables SAMPLERATE_CFLAGS 
     24953and SAMPLERATE_LIBS to avoid the need to call pkg-config. 
     24954See the pkg-config man page for more details. 
     24955 
     24956To get pkg-config, see <http://pkg-config.freedesktop.org/>. 
     24957See \`config.log' for more details." >&2;} 
     24958   { (exit 1); exit 1; }; } 
     24959else 
     24960        SAMPLERATE_CFLAGS=$pkg_cv_SAMPLERATE_CFLAGS 
     24961        SAMPLERATE_LIBS=$pkg_cv_SAMPLERATE_LIBS 
    2471224962        { echo "$as_me:$LINENO: result: yes" >&5 
    2471324963echo "${ECHO_T}yes" >&6; } 
     
    2494825198 
    2494925199pkg_failed=no 
     25200{ echo "$as_me:$LINENO: checking for ALSA" >&5 
     25201echo $ECHO_N "checking for ALSA... $ECHO_C" >&6; } 
     25202 
     25203if test -n "$PKG_CONFIG"; then 
     25204    if test -n "$ALSA_CFLAGS"; then 
     25205        pkg_cv_ALSA_CFLAGS="$ALSA_CFLAGS" 
     25206    else 
     25207        if test -n "$PKG_CONFIG" && \ 
     25208    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"alsa\"") >&5 
     25209  ($PKG_CONFIG --exists --print-errors "alsa") 2>&5 
     25210  ac_status=$? 
     25211  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     25212  (exit $ac_status); }; then 
     25213  pkg_cv_ALSA_CFLAGS=`$PKG_CONFIG --cflags "alsa" 2>/dev/null` 
     25214else 
     25215  pkg_failed=yes 
     25216fi 
     25217    fi 
     25218else 
     25219        pkg_failed=untried 
     25220fi 
     25221if test -n "$PKG_CONFIG"; then 
     25222    if test -n "$ALSA_LIBS"; then 
     25223        pkg_cv_ALSA_LIBS="$ALSA_LIBS" 
     25224    else 
     25225        if test -n "$PKG_CONFIG" && \ 
     25226    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"alsa\"") >&5 
     25227  ($PKG_CONFIG --exists --print-errors "alsa") 2>&5 
     25228  ac_status=$? 
     25229  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     25230  (exit $ac_status); }; then 
     25231  pkg_cv_ALSA_LIBS=`$PKG_CONFIG --libs "alsa" 2>/dev/null` 
     25232else 
     25233  pkg_failed=yes 
     25234fi 
     25235    fi 
     25236else 
     25237        pkg_failed=untried 
     25238fi 
     25239 
     25240 
     25241 
     25242if test $pkg_failed = yes; then 
     25243 
     25244if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then 
     25245        _pkg_short_errors_supported=yes 
     25246else 
     25247        _pkg_short_errors_supported=no 
     25248fi 
     25249        if test $_pkg_short_errors_supported = yes; then 
     25250                ALSA_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "alsa"` 
     25251        else 
     25252                ALSA_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "alsa"` 
     25253        fi 
     25254        # Put the nasty error message in config.log where it belongs 
     25255        echo "$ALSA_PKG_ERRORS" >&5 
     25256 
     25257        { echo "$as_me:$LINENO: result: no" >&5 
     25258echo "${ECHO_T}no" >&6; } 
     25259                got_alsa=no 
     25260elif test $pkg_failed = untried; then 
     25261        got_alsa=no 
     25262else 
     25263        ALSA_CFLAGS=$pkg_cv_ALSA_CFLAGS 
     25264        ALSA_LIBS=$pkg_cv_ALSA_LIBS 
     25265        { echo "$as_me:$LINENO: result: yes" >&5 
     25266echo "${ECHO_T}yes" >&6; } 
     25267        got_alsa=yes 
     25268fi 
     25269 
     25270 
     25271 if test $got_alsa = yes; then 
     25272  HAVE_ALSA_TRUE= 
     25273  HAVE_ALSA_FALSE='#' 
     25274else 
     25275  HAVE_ALSA_TRUE='#' 
     25276  HAVE_ALSA_FALSE= 
     25277fi 
     25278 
     25279if test "$got_alsa" = "yes"; then 
     25280 
     25281cat >>confdefs.h <<_ACEOF 
     25282#define HAVE_ALSA 1 
     25283_ACEOF 
     25284 
     25285fi 
     25286 
     25287 
     25288 
     25289pkg_failed=no 
    2495025290{ echo "$as_me:$LINENO: checking for JACK" >&5 
    2495125291echo $ECHO_N "checking for JACK... $ECHO_C" >&6; } 
     
    2503825378 
    2503925379pkg_failed=no 
    25040 { echo "$as_me:$LINENO: checking for ALSA" >&5 
    25041 echo $ECHO_N "checking for ALSA... $ECHO_C" >&6; } 
     25380{ echo "$as_me:$LINENO: checking for PULSE" >&5 
     25381echo $ECHO_N "checking for PULSE... $ECHO_C" >&6; } 
    2504225382 
    2504325383if test -n "$PKG_CONFIG"; then 
    25044     if test -n "$ALSA_CFLAGS"; then 
    25045         pkg_cv_ALSA_CFLAGS="$ALSA_CFLAGS" 
     25384    if test -n "$PULSE_CFLAGS"; then 
     25385        pkg_cv_PULSE_CFLAGS="$PULSE_CFLAGS" 
    2504625386    else 
    2504725387        if test -n "$PKG_CONFIG" && \ 
    25048     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"alsa\"") >&5 
    25049   ($PKG_CONFIG --exists --print-errors "alsa") 2>&5 
     25388    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libpulse\"") >&5 
     25389  ($PKG_CONFIG --exists --print-errors "libpulse") 2>&5 
    2505025390  ac_status=$? 
    2505125391  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    2505225392  (exit $ac_status); }; then 
    25053   pkg_cv_ALSA_CFLAGS=`$PKG_CONFIG --cflags "alsa" 2>/dev/null` 
     25393  pkg_cv_PULSE_CFLAGS=`$PKG_CONFIG --cflags "libpulse" 2>/dev/null` 
    2505425394else 
    2505525395  pkg_failed=yes 
     
    2506025400fi 
    2506125401if test -n "$PKG_CONFIG"; then 
    25062     if test -n "$ALSA_LIBS"; then 
    25063         pkg_cv_ALSA_LIBS="$ALSA_LIBS" 
     25402    if test -n "$PULSE_LIBS"; then 
     25403        pkg_cv_PULSE_LIBS="$PULSE_LIBS" 
    2506425404    else 
    2506525405        if test -n "$PKG_CONFIG" && \ 
    25066     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"alsa\"") >&5 
    25067   ($PKG_CONFIG --exists --print-errors "alsa") 2>&5 
     25406    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libpulse\"") >&5 
     25407  ($PKG_CONFIG --exists --print-errors "libpulse") 2>&5 
    2506825408  ac_status=$? 
    2506925409  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    2507025410  (exit $ac_status); }; then 
    25071   pkg_cv_ALSA_LIBS=`$PKG_CONFIG --libs "alsa" 2>/dev/null` 
     25411  pkg_cv_PULSE_LIBS=`$PKG_CONFIG --libs "libpulse" 2>/dev/null` 
    2507225412else 
    2507325413  pkg_failed=yes 
     
    2508825428fi 
    2508925429        if test $_pkg_short_errors_supported = yes; then 
    25090                 ALSA_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "alsa"` 
     25430                PULSE_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libpulse"` 
    2509125431        else 
    25092                 ALSA_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "alsa"` 
     25432                PULSE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libpulse"` 
    2509325433        fi 
    2509425434        # Put the nasty error message in config.log where it belongs 
    25095         echo "$ALSA_PKG_ERRORS" >&5 
     25435        echo "$PULSE_PKG_ERRORS" >&5 
    2509625436 
    2509725437        { echo "$as_me:$LINENO: result: no" >&5 
    2509825438echo "${ECHO_T}no" >&6; } 
    25099                 got_alsa=no 
     25439                got_pulse=no 
    2510025440elif test $pkg_failed = untried; then 
    25101         got_alsa=no 
    25102 else 
    25103         ALSA_CFLAGS=$pkg_cv_ALSA_CFLAGS 
    25104         ALSA_LIBS=$pkg_cv_ALSA_LIBS 
     25441        got_pulse=no 
     25442else 
     25443        PULSE_CFLAGS=$pkg_cv_PULSE_CFLAGS 
     25444        PULSE_LIBS=$pkg_cv_PULSE_LIBS 
    2510525445        { echo "$as_me:$LINENO: result: yes" >&5 
    2510625446echo "${ECHO_T}yes" >&6; } 
    25107         got_alsa=yes 
    25108 fi 
    25109  
    25110  
    25111  if test $got_alsa = yes; then 
    25112   HAVE_ALSA_TRUE= 
    25113   HAVE_ALSA_FALSE='#' 
    25114 else 
    25115   HAVE_ALSA_TRUE='#' 
    25116   HAVE_ALSA_FALSE= 
    25117 fi 
    25118  
    25119 if test "$got_alsa" = "yes"; then 
     25447        got_pulse=yes 
     25448fi 
     25449 
     25450 
     25451 if test $got_pulse = yes; then 
     25452  HAVE_PULSE_TRUE= 
     25453  HAVE_PULSE_FALSE='#' 
     25454else 
     25455  HAVE_PULSE_TRUE='#' 
     25456  HAVE_PULSE_FALSE= 
     25457fi 
     25458 
     25459if test "$got_pulse" = "yes"; then 
    2512025460 
    2512125461cat >>confdefs.h <<_ACEOF 
    25122 #define HAVE_ALSA 1 
     25462#define HAVE_PULSE 1 
    2512325463_ACEOF 
    2512425464 
     
    2556925909   { (exit 1); exit 1; }; } 
    2557025910fi 
     25911if test -z "${HAVE_ALSA_TRUE}" && test -z "${HAVE_ALSA_FALSE}"; then 
     25912  { { echo "$as_me:$LINENO: error: conditional \"HAVE_ALSA\" was never defined. 
     25913Usually this means the macro was only invoked conditionally." >&5 
     25914echo "$as_me: error: conditional \"HAVE_ALSA\" was never defined. 
     25915Usually this means the macro was only invoked conditionally." >&2;} 
     25916   { (exit 1); exit 1; }; } 
     25917fi 
    2557125918if test -z "${HAVE_JACK_TRUE}" && test -z "${HAVE_JACK_FALSE}"; then 
    2557225919  { { echo "$as_me:$LINENO: error: conditional \"HAVE_JACK\" was never defined. 
     
    2557625923   { (exit 1); exit 1; }; } 
    2557725924fi 
    25578 if test -z "${HAVE_ALSA_TRUE}" && test -z "${HAVE_ALSA_FALSE}"; then 
    25579   { { echo "$as_me:$LINENO: error: conditional \"HAVE_ALSA\" was never defined. 
     25925if test -z "${HAVE_PULSE_TRUE}" && test -z "${HAVE_PULSE_FALSE}"; then 
     25926  { { echo "$as_me:$LINENO: error: conditional \"HAVE_PULSE\" was never defined. 
    2558025927Usually this means the macro was only invoked conditionally." >&5 
    25581 echo "$as_me: error: conditional \"HAVE_ALSA\" was never defined. 
     25928echo "$as_me: error: conditional \"HAVE_PULSE\" was never defined. 
    2558225929Usually this means the macro was only invoked conditionally." >&2;} 
    2558325930   { (exit 1); exit 1; }; } 
     
    2629126638LIBOBJS!$LIBOBJS$ac_delim 
    2629226639PKG_CONFIG!$PKG_CONFIG$ac_delim 
    26293 FM_SERVER_CFLAGS!$FM_SERVER_CFLAGS$ac_delim 
    26294 FM_SERVER_LIBS!$FM_SERVER_LIBS$ac_delim 
    26295 FM_SERVER_TEST_CFLAGS!$FM_SERVER_TEST_CFLAGS$ac_delim 
    26296 FM_SERVER_TEST_LIBS!$FM_SERVER_TEST_LIBS$ac_delim 
     26640GLIB_CFLAGS!$GLIB_CFLAGS$ac_delim 
     26641GLIB_LIBS!$GLIB_LIBS$ac_delim 
     26642LIBXML_CFLAGS!$LIBXML_CFLAGS$ac_delim 
     26643LIBXML_LIBS!$LIBXML_LIBS$ac_delim 
     26644GSTREAMER_CFLAGS!$GSTREAMER_CFLAGS$ac_delim 
     26645GSTREAMER_LIBS!$GSTREAMER_LIBS$ac_delim 
     26646SAMPLERATE_CFLAGS!$SAMPLERATE_CFLAGS$ac_delim 
     26647SAMPLERATE_LIBS!$SAMPLERATE_LIBS$ac_delim 
    2629726648RGC_SERVER_CFLAGS!$RGC_SERVER_CFLAGS$ac_delim 
    2629826649RGC_SERVER_LIBS!$RGC_SERVER_LIBS$ac_delim 
    2629926650RGC_CLIENT_CFLAGS!$RGC_CLIENT_CFLAGS$ac_delim 
    2630026651RGC_CLIENT_LIBS!$RGC_CLIENT_LIBS$ac_delim 
     26652ALSA_CFLAGS!$ALSA_CFLAGS$ac_delim 
     26653ALSA_LIBS!$ALSA_LIBS$ac_delim 
     26654HAVE_ALSA_TRUE!$HAVE_ALSA_TRUE$ac_delim 
     26655HAVE_ALSA_FALSE!$HAVE_ALSA_FALSE$ac_delim 
    2630126656JACK_CFLAGS!$JACK_CFLAGS$ac_delim 
    2630226657JACK_LIBS!$JACK_LIBS$ac_delim 
    2630326658HAVE_JACK_TRUE!$HAVE_JACK_TRUE$ac_delim 
    2630426659HAVE_JACK_FALSE!$HAVE_JACK_FALSE$ac_delim 
    26305 ALSA_CFLAGS!$ALSA_CFLAGS$ac_delim 
    26306 ALSA_LIBS!$ALSA_LIBS$ac_delim 
    26307 HAVE_ALSA_TRUE!$HAVE_ALSA_TRUE$ac_delim 
    26308 HAVE_ALSA_FALSE!$HAVE_ALSA_FALSE$ac_delim 
     26660PULSE_CFLAGS!$PULSE_CFLAGS$ac_delim 
     26661PULSE_LIBS!$PULSE_LIBS$ac_delim 
     26662HAVE_PULSE_TRUE!$HAVE_PULSE_TRUE$ac_delim 
     26663HAVE_PULSE_FALSE!$HAVE_PULSE_FALSE$ac_delim 
    2630926664NO_PREFIX_PACKAGE_DATA_DIR!$NO_PREFIX_PACKAGE_DATA_DIR$ac_delim 
    2631026665PACKAGE_DATA_DIR!$PACKAGE_DATA_DIR$ac_delim 
     
    2632026675_ACEOF 
    2632126676 
    26322   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 52; then 
     26677  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 60; then 
    2632326678    break 
    2632426679  elif $ac_last_try; then 
     
    2703727392echo "" 
    2703827393echo "" 
     27394echo "Optional components:" 
     27395if test "$got_jack" = "yes"; then 
     27396echo "        JACK output plugin:       yes" 
     27397else 
     27398echo "        JACK output plugin:       no" 
     27399fi 
     27400if test "$got_alsa" = "yes"; then 
     27401echo "        ALSA output plugin:       yes" 
     27402else 
     27403echo "        ALSA output plugin:       no" 
     27404fi 
     27405if test "$got_pulse" = "yes"; then 
     27406echo "        PulseAudio output plugin: yes" 
     27407else 
     27408echo "        PulseAudio output plugin: no" 
     27409fi 
     27410echo "" 
    2703927411echo "Build options:" 
    27040 if test "$got_jack" = "yes"; then 
    27041 echo "        JACK output: yes" 
    27042 else 
    27043 echo "        JACK output: no" 
    27044 fi 
    27045 if test "$got_alsa" = "yes"; then 
    27046 echo "        ALSA output: yes" 
    27047 else 
    27048 echo "        ALSA output: no" 
    27049 fi 
     27412echo "        CFLAGS: ${CFLAGS}" 
    2705027413echo "" 
    2705127414echo "Installation options:" 
    2705227415echo "        fm_server will be installed to ${prefix}" 
    27053 echo "        CFLAGS: ${CFLAGS}" 
    2705427416echo "" 
    2705527417 
  • trunk/fm_server/configure.ac

    r211 r224  
    5050 
    5151# Check for dependencies 
    52 PKG_CHECK_MODULES(FM_SERVER, glib-2.0 gthread-2.0 gobject-2.0 samplerate gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10) 
    53 AC_SUBST(FM_SERVER_LIBS) 
    54 AC_SUBST(FM_SERVER_CFLAGS) 
    55  
    56 PKG_CHECK_MODULES(FM_SERVER_TEST, glib-2.0 gthread-2.0 gobject-2.0) 
    57 AC_SUBST(FM_SERVER_TEST_CFLAGS) 
    58 AC_SUBST(FM_SERVER_TEST_LIBS) 
     52PKG_CHECK_MODULES(GLIB, glib-2.0 gthread-2.0 gobject-2.0) 
     53AC_SUBST(GLIB_LIBS) 
     54AC_SUBST(GLIB_CFLAGS) 
     55 
     56PKG_CHECK_MODULES(LIBXML, libxml-2.0) 
     57AC_SUBST(LIBXML_LIBS) 
     58AC_SUBST(LIBXML_CFLAGS) 
     59 
     60PKG_CHECK_MODULES(GSTREAMER, gstreamer-0.10 gstreamer-base-0.10 gstreamer-plugins-base-0.10) 
     61AC_SUBST(GSTREAMER_LIBS) 
     62AC_SUBST(GSTREAMER_CFLAGS) 
     63 
     64PKG_CHECK_MODULES(SAMPLERATE, samplerate) 
     65AC_SUBST(SAMPLERATE_LIBS) 
     66AC_SUBST(SAMPLERATE_CFLAGS) 
    5967 
    6068PKG_CHECK_MODULES(RGC_SERVER, rgc_server) 
     
    6573AC_SUBST(RGC_CLIENT_LIBS) 
    6674AC_SUBST(RGC_CLIENT_CFLAGS) 
     75 
     76 
     77PKG_CHECK_MODULES(ALSA, alsa, got_alsa=yes, got_alsa=no) 
     78AC_SUBST(ALSA_LIBS) 
     79AC_SUBST(ALSA_CFLAGS) 
     80AM_CONDITIONAL(HAVE_ALSA, test $got_alsa = yes) 
     81if test "$got_alsa" = "yes"; then 
     82        AC_DEFINE_UNQUOTED(HAVE_ALSA, 1, [ ALSA is available. ]) 
     83fi 
    6784 
    6885 
     
    7693 
    7794 
    78 PKG_CHECK_MODULES(ALSA, alsa, got_alsa=yes, got_alsa=no) 
    79 AC_SUBST(ALSA_LIBS) 
    80 AC_SUBST(ALSA_CFLAGS) 
    81 AM_CONDITIONAL(HAVE_ALSA, test $got_alsa = yes) 
    82 if test "$got_alsa" = "yes"; then 
    83         AC_DEFINE_UNQUOTED(HAVE_ALSA, 1, [ ALSA is available. ]) 
     95PKG_CHECK_MODULES(PULSE, libpulse, got_pulse=yes, got_pulse=no) 
     96AC_SUBST(PULSE_LIBS) 
     97AC_SUBST(PULSE_CFLAGS) 
     98AM_CONDITIONAL(HAVE_PULSE, test $got_pulse = yes) 
     99if test "$got_pulse" = "yes"; then 
     100        AC_DEFINE_UNQUOTED(HAVE_PULSE, 1, [ PulseAudio is available. ]) 
    84101fi 
    85102 
     
    194211echo "" 
    195212echo "" 
     213echo "Optional components:" 
     214if test "$got_jack" = "yes"; then 
     215echo "        JACK output plugin:       yes" 
     216else 
     217echo "        JACK output plugin:       no" 
     218fi 
     219if test "$got_alsa" = "yes"; then 
     220echo "        ALSA output plugin:       yes" 
     221else 
     222echo "        ALSA output plugin:       no" 
     223fi 
     224if test "$got_pulse" = "yes"; then 
     225echo "        PulseAudio output plugin: yes" 
     226else 
     227echo "        PulseAudio output plugin: no" 
     228fi 
     229echo "" 
    196230echo "Build options:" 
    197 if test "$got_jack" = "yes"; then 
    198 echo "        JACK output: yes" 
    199 else 
    200 echo "        JACK output: no" 
    201 fi 
    202 if test "$got_alsa" = "yes"; then 
    203 echo "        ALSA output: yes" 
    204 else 
    205 echo "        ALSA output: no" 
    206 fi 
     231echo "        CFLAGS: ${CFLAGS}" 
    207232echo "" 
    208233echo "Installation options:" 
    209234echo "        fm_server will be installed to ${prefix}" 
    210 echo "        CFLAGS: ${CFLAGS}" 
    211 echo "" 
    212  
     235echo "" 
     236 
  • trunk/fm_server/src/Makefile.am

    r212 r224  
    22 
    33 
    4 AM_CPPFLAGS = $(FM_SERVER_CFLAGS) \ 
     4AM_CPPFLAGS = $(GLIB_CFLAGS) \ 
    55        $(RGC_SERVER_CFLAGS) 
    66 
     
    3333        fm_input_test.c\ 
    3434        fm_input_test.h\ 
    35         fm_input_cdj.c\ 
    36         fm_input_cdj.h\ 
    3735        fm_marshal.c\ 
    3836        fm_marshal.h\ 
    3937        fm_effect_gain.c\ 
    4038        fm_effect_gain.h\ 
    41         fm_effect_rate.c\ 
    42         fm_effect_rate.h\ 
    4339        fm_mixer.c\ 
    4440        fm_mixer.h\ 
     
    5753 
    5854fm_server_LDADD = \ 
    59         $(FM_SERVER_LIBS) \ 
     55        $(GLIB_LIBS) \ 
    6056        $(RGC_SERVER_LIBS) \ 
    6157        fm_input_gst/libfm_input_gst.la \ 
     
    6359 
    6460 
     61noinst_LTLIBRARIES = 
     62 
     63 
     64## Plugins listed here... 
     65 
     66noinst_LTLIBRARIES += libfm_effect_rate.la 
     67 
     68libfm_effect_rate_la_SOURCES = fm_effect_rate.c fm_effect_rate.h 
     69libfm_effect_rate_la_CFLAGS = $(SAMPLERATE_CFLAGS) 
     70libfm_effect_rate_la_LIBADD = $(SAMPLERATE_LIBS) 
     71 
     72fm_server_LDADD += libfm_effect_rate.la 
     73 
     74 
     75noinst_LTLIBRARIES += libfm_input_cdj.la 
     76 
     77libfm_input_cdj_la_SOURCES = fm_input_cdj.c fm_input_cdj.h 
     78libfm_input_cdj_la_CFLAGS = $(GSTREAMER_CFLAGS) $(LIBXML_CFLAGS) 
     79libfm_input_cdj_la_LIBADD = $(GSTREAMER_LIBS) $(LIBXML_CFLAGS) 
     80 
     81fm_server_LDADD += libfm_input_cdj.la 
     82 
     83 
    6584if HAVE_ALSA 
    66 fm_server_SOURCES += \ 
    67         fm_output_alsa.c \ 
    68         fm_output_alsa.h 
     85noinst_LTLIBRARIES += libfm_server_alsa.la 
    6986 
    70 fm_server_INCLUDES += $(ALSA_CFLAGS) 
     87libfm_server_alsa_la_SOURCES = fm_output_alsa.c fm_output_alsa.h 
     88libfm_server_alsa_la_CFLAGS = $(ALSA_CFLAGS) 
     89libfm_server_alsa_la_LIBADD = $(ALSA_LIBS) 
    7190 
    72 fm_server_LDADD += $(ALSA_LIBS)  
     91fm_server_LDADD += libfm_server_alsa.la 
    7392endif 
    7493 
    7594 
    7695if HAVE_JACK 
    77 fm_server_SOURCES += \ 
    78         fm_output_jack.c \ 
    79         fm_output_jack.h 
     96noinst_LTLIBRARIES += libfm_server_jack.la 
    8097 
    81 fm_server_INCLUDES += $(JACK_CFLAGS) 
     98libfm_server_jack_la_SOURCES = fm_output_jack.c fm_output_jack.h 
     99libfm_server_jack_la_CFLAGS = $(JACK_CFLAGS) 
     100libfm_server_jack_la_LIBADD = $(JACK_LIBS) 
    82101 
    83 fm_server_LDADD += $(JACK_LIBS) 
     102fm_server_LDADD += libfm_server_jack.la 
    84103endif 
     104 
     105 
     106if HAVE_PULSE 
     107noinst_LTLIBRARIES += libfm_server_pulse.la 
     108 
     109libfm_server_pulse_la_SOURCES = fm_output_pulse.c fm_output_pulse.h 
     110libfm_server_pulse_la_CFLAGS = $(PULSE_CFLAGS) 
     111libfm_server_pulse_la_LIBADD = $(PULSE_LIBS) 
     112 
     113fm_server_LDADD += libfm_server_pulse.la 
     114endif 
  • trunk/fm_server/src/Makefile.in

    r220 r224  
    1414 
    1515@SET_MAKE@ 
     16 
    1617 
    1718VPATH = @srcdir@ 
     
    3435host_triplet = @host@ 
    3536bin_PROGRAMS = fm_server$(EXEEXT) 
    36 @HAVE_ALSA_TRUE@am__append_1 = \ 
    37 @HAVE_ALSA_TRUE@        fm_output_alsa.c \ 
    38 @HAVE_ALSA_TRUE@        fm_output_alsa.h 
    39  
    40 @HAVE_ALSA_TRUE@am__append_2 = $(ALSA_CFLAGS) 
    41 @HAVE_ALSA_TRUE@am__append_3 = $(ALSA_LIBS)      
    42 @HAVE_JACK_TRUE@am__append_4 = \ 
    43 @HAVE_JACK_TRUE@        fm_output_jack.c \ 
    44 @HAVE_JACK_TRUE@        fm_output_jack.h 
    45  
    46 @HAVE_JACK_TRUE@am__append_5 = $(JACK_CFLAGS) 
    47 @HAVE_JACK_TRUE@am__append_6 = $(JACK_LIBS) 
     37@HAVE_ALSA_TRUE@am__append_1 = libfm_server_alsa.la 
     38@HAVE_ALSA_TRUE@am__append_2 = libfm_server_alsa.la 
     39@HAVE_JACK_TRUE@am__append_3 = libfm_server_jack.la 
     40@HAVE_JACK_TRUE@am__append_4 = libfm_server_jack.la 
     41@HAVE_PULSE_TRUE@am__append_5 = libfm_server_pulse.la 
     42@HAVE_PULSE_TRUE@am__append_6 = libfm_server_pulse.la 
    4843subdir = src 
    4944DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in 
     
    6055CONFIG_HEADER = $(top_builddir)/config.h 
    6156CONFIG_CLEAN_FILES = 
     57LTLIBRARIES = $(noinst_LTLIBRARIES) 
     58am__DEPENDENCIES_1 = 
     59libfm_effect_rate_la_DEPENDENCIES = $(am__DEPENDENCIES_1) 
     60am_libfm_effect_rate_la_OBJECTS =  \ 
     61        libfm_effect_rate_la-fm_effect_rate.lo 
     62libfm_effect_rate_la_OBJECTS = $(am_libfm_effect_rate_la_OBJECTS) 
     63libfm_effect_rate_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \ 
     64        $(LIBTOOLFLAGS) --mode=link $(CCLD) \ 
     65        $(libfm_effect_rate_la_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \ 
     66        $(LDFLAGS) -o $@ 
     67libfm_input_cdj_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \ 
     68        $(am__DEPENDENCIES_1) 
     69am_libfm_input_cdj_la_OBJECTS = libfm_input_cdj_la-fm_input_cdj.lo 
     70libfm_input_cdj_la_OBJECTS = $(am_libfm_input_cdj_la_OBJECTS) 
     71libfm_input_cdj_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \ 
     72        $(LIBTOOLFLAGS) --mode=link $(CCLD) \ 
     73        $(libfm_input_cdj_la_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \ 
     74        $(LDFLAGS) -o $@ 
     75@HAVE_ALSA_TRUE@libfm_server_alsa_la_DEPENDENCIES =  \ 
     76@HAVE_ALSA_TRUE@        $(am__DEPENDENCIES_1) 
     77am__libfm_server_alsa_la_SOURCES_DIST = fm_output_alsa.c \ 
     78        fm_output_alsa.h 
     79@HAVE_ALSA_TRUE@am_libfm_server_alsa_la_OBJECTS =  \ 
     80@HAVE_ALSA_TRUE@        libfm_server_alsa_la-fm_output_alsa.lo 
     81libfm_server_alsa_la_OBJECTS = $(am_libfm_server_alsa_la_OBJECTS) 
     82libfm_server_alsa_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \ 
     83        $(LIBTOOLFLAGS) --mode=link $(CCLD) \ 
     84        $(libfm_server_alsa_la_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \ 
     85        $(LDFLAGS) -o $@ 
     86@HAVE_ALSA_TRUE@am_libfm_server_alsa_la_rpath = 
     87@HAVE_JACK_TRUE@libfm_server_jack_la_DEPENDENCIES =  \ 
     88@HAVE_JACK_TRUE@        $(am__DEPENDENCIES_1) 
     89am__libfm_server_jack_la_SOURCES_DIST = fm_output_jack.c \ 
     90        fm_output_jack.h 
     91@HAVE_JACK_TRUE@am_libfm_server_jack_la_OBJECTS =  \ 
     92@HAVE_JACK_TRUE@        libfm_server_jack_la-fm_output_jack.lo 
     93libfm_server_jack_la_OBJECTS = $(am_libfm_server_jack_la_OBJECTS) 
     94libfm_server_jack_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \ 
     95        $(LIBTOOLFLAGS) --mode=link $(CCLD) \ 
     96        $(libfm_server_jack_la_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \ 
     97        $(LDFLAGS) -o $@ 
     98@HAVE_JACK_TRUE@am_libfm_server_jack_la_rpath = 
     99@HAVE_PULSE_TRUE@libfm_server_pulse_la_DEPENDENCIES =  \ 
     100@HAVE_PULSE_TRUE@       $(am__DEPENDENCIES_1) 
     101am__libfm_server_pulse_la_SOURCES_DIST = fm_output_pulse.c \ 
     102        fm_output_pulse.h 
     103@HAVE_PULSE_TRUE@am_libfm_server_pulse_la_OBJECTS =  \ 
     104@HAVE_PULSE_TRUE@       libfm_server_pulse_la-fm_output_pulse.lo 
     105libfm_server_pulse_la_OBJECTS = $(am_libfm_server_pulse_la_OBJECTS) 
     106libfm_server_pulse_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \ 
     107        $(LIBTOOLFLAGS) --mode=link $(CCLD) \ 
     108        $(libfm_server_pulse_la_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \ 
     109        $(LDFLAGS) -o $@ 
     110@HAVE_PULSE_TRUE@am_libfm_server_pulse_la_rpath = 
    62111am__installdirs = "$(DESTDIR)$(bindir)" 
    63112binPROGRAMS_INSTALL = $(INSTALL_PROGRAM) 
    64113PROGRAMS = $(bin_PROGRAMS) 
    65 am__fm_server_SOURCES_DIST = main.c common.h types.h fm_utils.c \ 
    66         fm_utils.h src_type_conv.c src_type_conv.h fm_input.c \ 
    67         fm_input.h fm_output.c fm_output.h fm_effect.c fm_effect.h \ 
    68         fm_element.c fm_element.h fm_sync.c fm_sync.h fm_pipeline.c \ 
    69         fm_pipeline.h fm_input_test.c fm_input_test.h fm_input_cdj.c \ 
    70         fm_input_cdj.h fm_marshal.c fm_marshal.h fm_effect_gain.c \ 
    71         fm_effect_gain.h fm_effect_rate.c fm_effect_rate.h fm_mixer.c \ 
    72         fm_mixer.h fm_djmixer.c fm_djmixer.h fm_buffer.c fm_buffer.h \ 
    73         fm_effect_pan.c fm_effect_pan.h fm_level_meter.c \ 
    74         fm_level_meter.h fm_output_alsa.c fm_output_alsa.h \ 
    75         fm_output_jack.c fm_output_jack.h 
    76 @HAVE_ALSA_TRUE@am__objects_1 = fm_output_alsa.$(OBJEXT) 
    77 @HAVE_JACK_TRUE@am__objects_2 = fm_output_jack.$(OBJEXT) 
    78114am_fm_server_OBJECTS = main.$(OBJEXT) fm_utils.$(OBJEXT) \ 
    79115        src_type_conv.$(OBJEXT) fm_input.$(OBJEXT) fm_output.$(OBJEXT) \ 
    80116        fm_effect.$(OBJEXT) fm_element.$(OBJEXT) fm_sync.$(OBJEXT) \ 
    81117        fm_pipeline.$(OBJEXT) fm_input_test.$(OBJEXT) \ 
    82         fm_input_cdj.$(OBJEXT) fm_marshal.$(OBJEXT) \ 
    83         fm_effect_gain.$(OBJEXT) fm_effect_rate.$(OBJEXT) \ 
     118        fm_marshal.$(OBJEXT) fm_effect_gain.$(OBJEXT) \ 
    84119        fm_mixer.$(OBJEXT) fm_djmixer.$(OBJEXT) fm_buffer.$(OBJEXT) \ 
    85         fm_effect_pan.$(OBJEXT) fm_level_meter.$(OBJEXT) \ 
    86         $(am__objects_1) $(am__objects_2) 
     120        fm_effect_pan.$(OBJEXT) fm_level_meter.$(OBJEXT) 
    87121fm_server_OBJECTS = $(am_fm_server_OBJECTS) 
    88 am__DEPENDENCIES_1 = 
    89 @HAVE_ALSA_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1) 
    90 @HAVE_JACK_TRUE@am__DEPENDENCIES_3 = $(am__DEPENDENCIES_1) 
    91122fm_server_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \ 
    92123        fm_input_gst/libfm_input_gst.la fm_song_db/libfm_song_db.la \ 
    93         $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3) 
     124        libfm_effect_rate.la libfm_input_cdj.la $(am__append_2) \ 
     125        $(am__append_4) $(am__append_6) 
    94126DEFAULT_INCLUDES = -I. -I$(top_builddir)@am__isrc@ 
    95127depcomp = $(SHELL) $(top_srcdir)/depcomp 
     
    104136        --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \ 
    105137        $(LDFLAGS) -o $@ 
    106 SOURCES = $(fm_server_SOURCES) 
    107 DIST_SOURCES = $(am__fm_server_SOURCES_DIST) 
     138SOURCES = $(libfm_effect_rate_la_SOURCES) \ 
     139        $(libfm_input_cdj_la_SOURCES) $(libfm_server_alsa_la_SOURCES) \ 
     140        $(libfm_server_jack_la_SOURCES) \ 
     141        $(libfm_server_pulse_la_SOURCES) $(fm_server_SOURCES) 
     142DIST_SOURCES = $(libfm_effect_rate_la_SOURCES) \ 
     143        $(libfm_input_cdj_la_SOURCES) \ 
     144        $(am__libfm_server_alsa_la_SOURCES_DIST) \ 
     145        $(am__libfm_server_jack_la_SOURCES_DIST) \ 
     146        $(am__libfm_server_pulse_la_SOURCES_DIST) $(fm_server_SOURCES) 
    108147RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \ 
    109148        html-recursive info-recursive install-data-recursive \ 
     
    150189F77 = @F77@ 
    151190FFLAGS = @FFLAGS@ 
    152 FM_SERVER_CFLAGS = @FM_SERVER_CFLAGS@ 
    153 FM_SERVER_LIBS = @FM_SERVER_LIBS@ 
    154 FM_SERVER_TEST_CFLAGS = @FM_SERVER_TEST_CFLAGS@ 
    155 FM_SERVER_TEST_LIBS = @FM_SERVER_TEST_LIBS@ 
     191GLIB_CFLAGS = @GLIB_CFLAGS@ 
     192GLIB_LIBS = @GLIB_LIBS@ 
    156193GMSGFMT = @GMSGFMT@ 
    157194GMSGFMT_015 = @GMSGFMT_015@ 
    158195GREP = @GREP@ 
     196GSTREAMER_CFLAGS = @GSTREAMER_CFLAGS@ 
     197GSTREAMER_LIBS = @GSTREAMER_LIBS@ 
    159198INSTALL = @INSTALL@ 
    160199INSTALL_DATA = @INSTALL_DATA@ 
     
    172211LIBS = @LIBS@ 
    173212LIBTOOL = @LIBTOOL@ 
     213LIBXML_CFLAGS = @LIBXML_CFLAGS@ 
     214LIBXML_LIBS = @LIBXML_LIBS@ 
    174215LN_S = @LN_S@ 
    175216LTLIBICONV = @LTLIBICONV@ 
     
    202243PKG_CONFIG = @PKG_CONFIG@ 
    203244POSUB = @POSUB@ 
     245PULSE_CFLAGS = @PULSE_CFLAGS@ 
     246PULSE_LIBS = @PULSE_LIBS@ 
    204247RANLIB = @RANLIB@ 
    205248RGC_CLIENT_CFLAGS = @RGC_CLIENT_CFLAGS@ 
     
    207250RGC_SERVER_CFLAGS = @RGC_SERVER_CFLAGS@ 
    208251RGC_SERVER_LIBS = @RGC_SERVER_LIBS@ 
     252SAMPLERATE_CFLAGS = @SAMPLERATE_CFLAGS@ 
     253SAMPLERATE_LIBS = @SAMPLERATE_LIBS@ 
    209254SED = @SED@ 
    210255SET_MAKE = @SET_MAKE@ 
     
    267312top_srcdir = @top_srcdir@ 
    268313SUBDIRS = fm_input_gst fm_song_db 
    269 AM_CPPFLAGS = $(FM_SERVER_CFLAGS) \ 
     314AM_CPPFLAGS = $(GLIB_CFLAGS) \ 
    270315        $(RGC_SERVER_CFLAGS) 
    271316 
    272 fm_server_SOURCES = main.c common.h types.h fm_utils.c fm_utils.h \ 
    273         src_type_conv.c src_type_conv.h fm_input.c fm_input.h \ 
    274         fm_output.c fm_output.h fm_effect.c fm_effect.h fm_element.c \ 
    275         fm_element.h fm_sync.c fm_sync.h fm_pipeline.c fm_pipeline.h \ 
    276         fm_input_test.c fm_input_test.h fm_input_cdj.c fm_input_cdj.h \ 
    277         fm_marshal.c fm_marshal.h fm_effect_gain.c fm_effect_gain.h \ 
    278         fm_effect_rate.c fm_effect_rate.h fm_mixer.c fm_mixer.h \ 
    279         fm_djmixer.c fm_djmixer.h fm_buffer.c fm_buffer.h \ 
    280         fm_effect_pan.c fm_effect_pan.h fm_level_meter.c \ 
    281         fm_level_meter.h $(am__append_1) $(am__append_4) 
    282 fm_server_INCLUDES = $(am__append_2) $(am__append_5) 
    283 fm_server_LDADD = $(FM_SERVER_LIBS) $(RGC_SERVER_LIBS) \ 
     317fm_server_SOURCES = \ 
     318        main.c\ 
     319        common.h\ 
     320        types.h\ 
     321        fm_utils.c\ 
     322        fm_utils.h\ 
     323        src_type_conv.c\ 
     324        src_type_conv.h\ 
     325        fm_input.c\ 
     326        fm_input.h\ 
     327        fm_output.c\ 
     328        fm_output.h\ 
     329        fm_effect.c\ 
     330        fm_effect.h\ 
     331        fm_element.c\ 
     332        fm_element.h\ 
     333        fm_sync.c\ 
     334        fm_sync.h\ 
     335        fm_pipeline.c\ 
     336        fm_pipeline.h\ 
     337        fm_input_test.c\ 
     338        fm_input_test.h\ 
     339        fm_marshal.c\ 
     340        fm_marshal.h\ 
     341        fm_effect_gain.c\ 
     342        fm_effect_gain.h\ 
     343        fm_mixer.c\ 
     344        fm_mixer.h\ 
     345        fm_djmixer.c\ 
     346        fm_djmixer.h\ 
     347        fm_buffer.c\ 
     348        fm_buffer.h\ 
     349        fm_effect_pan.c\ 
     350        fm_effect_pan.h\ 
     351        fm_level_meter.c\ 
     352        fm_level_meter.h 
     353 
     354fm_server_INCLUDES =  
     355fm_server_LDADD = $(GLIB_LIBS) $(RGC_SERVER_LIBS) \ 
    284356        fm_input_gst/libfm_input_gst.la fm_song_db/libfm_song_db.la \ 
    285         $(am__append_3) $(am__append_6) 
     357        libfm_effect_rate.la libfm_input_cdj.la $(am__append_2) \ 
     358        $(am__append_4) $(am__append_6) 
     359noinst_LTLIBRARIES = libfm_effect_rate.la libfm_input_cdj.la \ 
     360        $(am__append_1) $(am__append_3) $(am__append_5) 
     361libfm_effect_rate_la_SOURCES = fm_effect_rate.c fm_effect_rate.h 
     362libfm_effect_rate_la_CFLAGS = $(SAMPLERATE_CFLAGS) 
     363libfm_effect_rate_la_LIBADD = $(SAMPLERATE_LIBS) 
     364libfm_input_cdj_la_SOURCES = fm_input_cdj.c fm_input_cdj.h 
     365libfm_input_cdj_la_CFLAGS = $(GSTREAMER_CFLAGS) $(LIBXML_CFLAGS) 
     366libfm_input_cdj_la_LIBADD = $(GSTREAMER_LIBS) $(LIBXML_CFLAGS) 
     367@HAVE_ALSA_TRUE@libfm_server_alsa_la_SOURCES = fm_output_alsa.c fm_output_alsa.h 
     368@HAVE_ALSA_TRUE@libfm_server_alsa_la_CFLAGS = $(ALSA_CFLAGS) 
     369@HAVE_ALSA_TRUE@libfm_server_alsa_la_LIBADD = $(ALSA_LIBS) 
     370@HAVE_JACK_TRUE@libfm_server_jack_la_SOURCES = fm_output_jack.c fm_output_jack.h 
     371@HAVE_JACK_TRUE@libfm_server_jack_la_CFLAGS = $(JACK_CFLAGS) 
     372@HAVE_JACK_TRUE@libfm_server_jack_la_LIBADD = $(JACK_LIBS) 
     373@HAVE_PULSE_TRUE@libfm_server_pulse_la_SOURCES = fm_output_pulse.c fm_output_pulse.h 
     374@HAVE_PULSE_TRUE@libfm_server_pulse_la_CFLAGS = $(PULSE_CFLAGS) 
     375@HAVE_PULSE_TRUE@libfm_server_pulse_la_LIBADD = $(PULSE_LIBS) 
    286376all: all-recursive 
    287377 
     
    317407$(ACLOCAL_M4):  $(am__aclocal_m4_deps) 
    318408        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh 
     409 
     410clean-noinstLTLIBRARIES: 
     411        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES) 
     412        @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \ 
     413          dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \ 
     414          test "$$dir" != "$$p" || dir=.; \ 
     415          echo "rm -f \"$${dir}/so_locations\""; \ 
     416          rm -f "$${dir}/so_locations"; \ 
     417        done 
     418libfm_effect_rate.la: $(libfm_effect_rate_la_OBJECTS) $(libfm_effect_rate_la_DEPENDENCIES)  
     419        $(libfm_effect_rate_la_LINK)  $(libfm_effect_rate_la_OBJECTS) $(libfm_effect_rate_la_LIBADD) $(LIBS) 
     420libfm_input_cdj.la: $(libfm_input_cdj_la_OBJECTS) $(libfm_input_cdj_la_DEPENDENCIES)  
     421        $(libfm_input_cdj_la_LINK)  $(libfm_input_cdj_la_OBJECTS) $(libfm_input_cdj_la_LIBADD) $(LIBS) 
     422libfm_server_alsa.la: $(libfm_server_alsa_la_OBJECTS) $(libfm_server_alsa_la_DEPENDENCIES)  
     423        $(libfm_server_alsa_la_LINK) $(am_libfm_server_alsa_la_rpath) $(libfm_server_alsa_la_OBJECTS) $(libfm_server_alsa_la_LIBADD) $(LIBS) 
     424libfm_server_jack.la: $(libfm_server_jack_la_OBJECTS) $(libfm_server_jack_la_DEPENDENCIES)  
     425        $(libfm_server_jack_la_LINK) $(am_libfm_server_jack_la_rpath) $(libfm_server_jack_la_OBJECTS) $(libfm_server_jack_la_LIBADD) $(LIBS) 
     426libfm_server_pulse.la: $(libfm_server_pulse_la_OBJECTS) $(libfm_server_pulse_la_DEPENDENCIES)  
     427        $(libfm_server_pulse_la_LINK) $(am_libfm_server_pulse_la_rpath) $(libfm_server_pulse_la_OBJECTS) $(libfm_server_pulse_la_LIBADD) $(LIBS) 
    319428install-binPROGRAMS: $(bin_PROGRAMS) 
    320429        @$(NORMAL_INSTALL) 
     
    360469@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_effect_gain.Po@am__quote@ 
    361470@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_effect_pan.Po@am__quote@ 
    362 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_effect_rate.Po@am__quote@ 
    363471@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_element.Po@am__quote@ 
    364472@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_input.Po@am__quote@ 
    365 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_input_cdj.Po@am__quote@ 
    366473@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_input_test.Po@am__quote@ 
    367474@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_level_meter.Po@am__quote@ 
     
    369476@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_mixer.Po@am__quote@ 
    370477@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_output.Po@am__quote@ 
    371 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_output_alsa.Po@am__quote@ 
    372 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_output_jack.Po@am__quote@ 
    373478@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_pipeline.Po@am__quote@ 
    374479@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_sync.Po@am__quote@ 
    375480@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fm_utils.Po@am__quote@ 
     481@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libfm_effect_rate_la-fm_effect_rate.Plo@am__quote@ 
     482@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libfm_input_cdj_la-fm_input_cdj.Plo@am__quote@ 
     483@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libfm_server_alsa_la-fm_output_alsa.Plo@am__quote@ 
     484@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libfm_server_jack_la-fm_output_jack.Plo@am__quote@ 
     485@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libfm_server_pulse_la-fm_output_pulse.Plo@am__quote@ 
    376486@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@ 
    377487@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/src_type_conv.Po@am__quote@ 
     
    397507@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 
    398508@am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $< 
     509 
     510libfm_effect_rate_la-fm_effect_rate.lo: fm_effect_rate.c 
     511@am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfm_effect_rate_la_CFLAGS) $(CFLAGS) -MT libfm_effect_rate_la-fm_effect_rate.lo -MD -MP -MF $(DEPDIR)/libfm_effect_rate_la-fm_effect_rate.Tpo -c -o libfm_effect_rate_la-fm_effect_rate.lo `test -f 'fm_effect_rate.c' || echo '$(srcdir)/'`fm_effect_rate.c 
     512@am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libfm_effect_rate_la-fm_effect_rate.Tpo $(DEPDIR)/libfm_effect_rate_la-fm_effect_rate.Plo 
     513@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='fm_effect_rate.c' object='libfm_effect_rate_la-fm_effect_rate.lo' libtool=yes @AMDEPBACKSLASH@ 
     514@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 
     515@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfm_effect_rate_la_CFLAGS) $(CFLAGS) -c -o libfm_effect_rate_la-fm_effect_rate.lo `test -f 'fm_effect_rate.c' || echo '$(srcdir)/'`fm_effect_rate.c 
     516 
     517libfm_input_cdj_la-fm_input_cdj.lo: fm_input_cdj.c 
     518@am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfm_input_cdj_la_CFLAGS) $(CFLAGS) -MT libfm_input_cdj_la-fm_input_cdj.lo -MD -MP -MF $(DEPDIR)/libfm_input_cdj_la-fm_input_cdj.Tpo -c -o libfm_input_cdj_la-fm_input_cdj.lo `test -f 'fm_input_cdj.c' || echo '$(srcdir)/'`fm_input_cdj.c 
     519@am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libfm_input_cdj_la-fm_input_cdj.Tpo $(DEPDIR)/libfm_input_cdj_la-fm_input_cdj.Plo 
     520@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='fm_input_cdj.c' object='libfm_input_cdj_la-fm_input_cdj.lo' libtool=yes @AMDEPBACKSLASH@ 
     521@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 
     522@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfm_input_cdj_la_CFLAGS) $(CFLAGS) -c -o libfm_input_cdj_la-fm_input_cdj.lo `test -f 'fm_input_cdj.c' || echo '$(srcdir)/'`fm_input_cdj.c 
     523 
     524libfm_server_alsa_la-fm_output_alsa.lo: fm_output_alsa.c 
     525@am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfm_server_alsa_la_CFLAGS) $(CFLAGS) -MT libfm_server_alsa_la-fm_output_alsa.lo -MD -MP -MF $(DEPDIR)/libfm_server_alsa_la-fm_output_alsa.Tpo -c -o libfm_server_alsa_la-fm_output_alsa.lo `test -f 'fm_output_alsa.c' || echo '$(srcdir)/'`fm_output_alsa.c 
     526@am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libfm_server_alsa_la-fm_output_alsa.Tpo $(DEPDIR)/libfm_server_alsa_la-fm_output_alsa.Plo 
     527@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='fm_output_alsa.c' object='libfm_server_alsa_la-fm_output_alsa.lo' libtool=yes @AMDEPBACKSLASH@ 
     528@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 
     529@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfm_server_alsa_la_CFLAGS) $(CFLAGS) -c -o libfm_server_alsa_la-fm_output_alsa.lo `test -f 'fm_output_alsa.c' || echo '$(srcdir)/'`fm_output_alsa.c 
     530 
     531libfm_server_jack_la-fm_output_jack.lo: fm_output_jack.c 
     532@am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfm_server_jack_la_CFLAGS) $(CFLAGS) -MT libfm_server_jack_la-fm_output_jack.lo -MD -MP -MF $(DEPDIR)/libfm_server_jack_la-fm_output_jack.Tpo -c -o libfm_server_jack_la-fm_output_jack.lo `test -f 'fm_output_jack.c' || echo '$(srcdir)/'`fm_output_jack.c 
     533@am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libfm_server_jack_la-fm_output_jack.Tpo $(DEPDIR)/libfm_server_jack_la-fm_output_jack.Plo 
     534@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='fm_output_jack.c' object='libfm_server_jack_la-fm_output_jack.lo' libtool=yes @AMDEPBACKSLASH@ 
     535@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 
     536@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfm_server_jack_la_CFLAGS) $(CFLAGS) -c -o libfm_server_jack_la-fm_output_jack.lo `test -f 'fm_output_jack.c' || echo '$(srcdir)/'`fm_output_jack.c 
     537 
     538libfm_server_pulse_la-fm_output_pulse.lo: fm_output_pulse.c 
     539@am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfm_server_pulse_la_CFLAGS) $(CFLAGS) -MT libfm_server_pulse_la-fm_output_pulse.lo -MD -MP -MF $(DEPDIR)/libfm_server_pulse_la-fm_output_pulse.Tpo -c -o libfm_server_pulse_la-fm_output_pulse.lo `test -f 'fm_output_pulse.c' || echo '$(srcdir)/'`fm_output_pulse.c 
     540@am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libfm_server_pulse_la-fm_output_pulse.Tpo $(DEPDIR)/libfm_server_pulse_la-fm_output_pulse.Plo 
     541@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='fm_output_pulse.c' object='libfm_server_pulse_la-fm_output_pulse.lo' libtool=yes @AMDEPBACKSLASH@ 
     542@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 
     543@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfm_server_pulse_la_CFLAGS) $(CFLAGS) -c -o libfm_server_pulse_la-fm_output_pulse.lo `test -f 'fm_output_pulse.c' || echo '$(srcdir)/'`fm_output_pulse.c 
    399544 
    400545mostlyclean-libtool: 
     
    580725check-am: all-am 
    581726check: check-recursive 
    582 all-am: Makefile $(PROGRAMS) 
     727all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) 
    583728installdirs: installdirs-recursive 
    584729installdirs-am: 
     
    612757clean: clean-recursive 
    613758 
    614 clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am 
     759clean-am: clean-binPROGRAMS clean-generic clean-libtool \ 
     760        clean-noinstLTLIBRARIES mostlyclean-am 
    615761 
    616762distclean: distclean-recursive 
     
    673819.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \ 
    674820        all all-am check check-am clean clean-binPROGRAMS \ 
    675         clean-generic clean-libtool ctags ctags-recursive distclean \ 
    676         distclean-compile distclean-generic distclean-libtool \ 
    677         distclean-tags distdir dvi dvi-am html html-am info info-am \ 
    678         install install-am install-binPROGRAMS install-data \ 
    679         install-data-am install-dvi install-dvi-am install-exec \ 
    680         install-exec-am install-html install-html-am install-info \ 
    681         install-info-am install-man install-pdf install-pdf-am \ 
    682         install-ps install-ps-am install-strip installcheck \ 
    683         installcheck-am installdirs installdirs-am maintainer-clean \ 
    684         maintainer-clean-generic mostlyclean mostlyclean-compile \ 
    685         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \ 
    686         tags tags-recursive uninstall uninstall-am \ 
     821        clean-generic clean-libtool clean-noinstLTLIBRARIES ctags \ 
     822        ctags-recursive distclean distclean-compile distclean-generic \ 
     823        distclean-libtool distclean-tags distdir dvi dvi-am html \ 
     824        html-am info info-am install install-am install-binPROGRAMS \ 
     825        install-data install-data-am install-dvi install-dvi-am \ 
     826        install-exec install-exec-am install-html install-html-am \ 
     827        install-info install-info-am install-man install-pdf \ 
     828        install-pdf-am install-ps install-ps-am install-strip \ 
     829        installcheck installcheck-am installdirs installdirs-am \ 
     830        maintainer-clean maintainer-clean-generic mostlyclean \ 
     831        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \ 
     832        pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \ 
    687833        uninstall-binPROGRAMS 
    688834 
  • trunk/fm_server/src/fm_input_gst/Makefile.am

    r212 r224  
    1 AM_CPPFLAGS = $(FM_SERVER_CFLAGS) \ 
     1AM_CPPFLAGS = \ 
     2        $(GLIB_CFLAGS) \ 
     3        $(GSTREAMER_CFLAGS) \ 
    24        $(RGC_SERVER_CFLAGS) 
    35 
     
    1719 
    1820 
    19 libfm_input_gst_la_LIBADD = $(FM_SERVER_LIBS) \ 
     21libfm_input_gst_la_LIBADD = \ 
     22        $(GLIB_LIBS) \ 
     23        $(GSTREAMER_LIBS) \ 
    2024        $(RGC_SERVER_LIBS) 
  • trunk/fm_server/src/fm_input_gst/Makefile.in

    r220 r224  
    5050am__DEPENDENCIES_1 = 
    5151libfm_input_gst_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \ 
    52         $(am__DEPENDENCIES_1) 
     52        $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) 
    5353am_libfm_input_gst_la_OBJECTS = jack_ringbuffer.lo fm_input_gst.lo \ 
    5454        gstfmsink.lo fm_input_gst_common.lo 
     
    102102F77 = @F77@ 
    103103FFLAGS = @FFLAGS@ 
    104 FM_SERVER_CFLAGS = @FM_SERVER_CFLAGS@ 
    105 FM_SERVER_LIBS = @FM_SERVER_LIBS@ 
    106 FM_SERVER_TEST_CFLAGS = @FM_SERVER_TEST_CFLAGS@ 
    107 FM_SERVER_TEST_LIBS = @FM_SERVER_TEST_LIBS@ 
     104GLIB_CFLAGS = @GLIB_CFLAGS@ 
     105GLIB_LIBS = @GLIB_LIBS@ 
    108106GMSGFMT = @GMSGFMT@ 
    109107GMSGFMT_015 = @GMSGFMT_015@ 
    110108GREP = @GREP@ 
     109GSTREAMER_CFLAGS = @GSTREAMER_CFLAGS@ 
     110GSTREAMER_LIBS = @GSTREAMER_LIBS@ 
    111111INSTALL = @INSTALL@ 
    112112INSTALL_DATA = @INSTALL_DATA@ 
     
    124124LIBS = @LIBS@ 
    125125LIBTOOL = @LIBTOOL@ 
     126LIBXML_CFLAGS = @LIBXML_CFLAGS@ 
     127LIBXML_LIBS = @LIBXML_LIBS@ 
    126128LN_S = @LN_S@ 
    127129LTLIBICONV = @LTLIBICONV@ 
     
    154156PKG_CONFIG = @PKG_CONFIG@ 
    155157POSUB = @POSUB@ 
     158PULSE_CFLAGS = @PULSE_CFLAGS@ 
     159PULSE_LIBS = @PULSE_LIBS@ 
    156160RANLIB = @RANLIB@ 
    157161RGC_CLIENT_CFLAGS = @RGC_CLIENT_CFLAGS@ 
     
    159163RGC_SERVER_CFLAGS = @RGC_SERVER_CFLAGS@ 
    160164RGC_SERVER_LIBS = @RGC_SERVER_LIBS@ 
     165SAMPLERATE_CFLAGS = @SAMPLERATE_CFLAGS@ 
     166SAMPLERATE_LIBS = @SAMPLERATE_LIBS@ 
    161167SED = @SED@ 
    162168SET_MAKE = @SET_MAKE@ 
     
    218224top_builddir = @top_builddir@ 
    219225top_srcdir = @top_srcdir@ 
    220 AM_CPPFLAGS = $(FM_SERVER_CFLAGS) \ 
     226AM_CPPFLAGS = \ 
     227        $(GLIB_CFLAGS) \ 
     228        $(GSTREAMER_CFLAGS) \ 
    221229        $(RGC_SERVER_CFLAGS) 
    222230 
     
    232240        fm_input_gst_common.c  
    233241 
    234 libfm_input_gst_la_LIBADD = $(FM_SERVER_LIBS) \ 
     242libfm_input_gst_la_LIBADD = \ 
     243        $(GLIB_LIBS) \ 
     244        $(GSTREAMER_LIBS) \ 
    235245        $(RGC_SERVER_LIBS) 
    236246 
  • trunk/fm_server/src/fm_song_db/Makefile.am

    r212 r224  
    1 AM_CPPFLAGS = $(FM_SERVER_CFLAGS) \ 
     1AM_CPPFLAGS = \ 
     2        $(GLIB_CFLAGS) \ 
     3        $(LIBXML_CFLAGS) \ 
    24        $(RGC_SERVER_CFLAGS) 
    35 
     
    1315 
    1416 
    15 libfm_song_db_la_LIBADD = $(FM_SERVER_LIBS) \ 
     17libfm_song_db_la_LIBADD = \ 
     18        $(GLIB_LIBS) \ 
     19        $(LIBXML_LIBS) \ 
    1620        $(RGC_SERVER_LIBS) 
  • trunk/fm_server/src/fm_song_db/Makefile.in

    r220 r224  
    5050am__DEPENDENCIES_1 = 
    5151libfm_song_db_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \ 
    52         $(am__DEPENDENCIES_1) 
     52        $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) 
    5353am_libfm_song_db_la_OBJECTS = fm_song_db.lo fm_xml_db.lo 
    5454libfm_song_db_la_OBJECTS = $(am_libfm_song_db_la_OBJECTS) 
     
    101101F77 = @F77@ 
    102102FFLAGS = @FFLAGS@ 
    103 FM_SERVER_CFLAGS = @FM_SERVER_CFLAGS@ 
    104 FM_SERVER_LIBS = @FM_SERVER_LIBS@ 
    105 FM_SERVER_TEST_CFLAGS = @FM_SERVER_TEST_CFLAGS@ 
    106 FM_SERVER_TEST_LIBS = @FM_SERVER_TEST_LIBS@ 
     103GLIB_CFLAGS = @GLIB_CFLAGS@ 
     104GLIB_LIBS = @GLIB_LIBS@ 
    107105GMSGFMT = @GMSGFMT@ 
    108106GMSGFMT_015 = @GMSGFMT_015@ 
    109107GREP = @GREP@ 
     108GSTREAMER_CFLAGS = @GSTREAMER_CFLAGS@ 
     109GSTREAMER_LIBS = @GSTREAMER_LIBS@ 
    110110INSTALL = @INSTALL@ 
    111111INSTALL_DATA = @INSTALL_DATA@ 
     
    123123LIBS = @LIBS@ 
    124124LIBTOOL = @LIBTOOL@ 
     125LIBXML_CFLAGS = @LIBXML_CFLAGS@ 
     126LIBXML_LIBS = @LIBXML_LIBS@ 
    125127LN_S = @LN_S@ 
    126128LTLIBICONV = @LTLIBICONV@ 
     
    153155PKG_CONFIG = @PKG_CONFIG@ 
    154156POSUB = @POSUB@ 
     157PULSE_CFLAGS = @PULSE_CFLAGS@ 
     158PULSE_LIBS = @PULSE_LIBS@ 
    155159RANLIB = @RANLIB@ 
    156160RGC_CLIENT_CFLAGS = @RGC_CLIENT_CFLAGS@ 
     
    158162RGC_SERVER_CFLAGS = @RGC_SERVER_CFLAGS@ 
    159163RGC_SERVER_LIBS = @RGC_SERVER_LIBS@ 
     164SAMPLERATE_CFLAGS = @SAMPLERATE_CFLAGS@ 
     165SAMPLERATE_LIBS = @SAMPLERATE_LIBS@ 
    160166SED = @SED@ 
    161167SET_MAKE = @SET_MAKE@ 
     
    217223top_builddir = @top_builddir@ 
    218224top_srcdir = @top_srcdir@ 
    219 AM_CPPFLAGS = $(FM_SERVER_CFLAGS) \ 
     225AM_CPPFLAGS = \ 
     226        $(GLIB_CFLAGS) \ 
     227        $(LIBXML_CFLAGS) \ 
    220228        $(RGC_SERVER_CFLAGS) 
    221229 
     
    227235        fm_xml_db.h 
    228236 
    229 libfm_song_db_la_LIBADD = $(FM_SERVER_LIBS) \ 
     237libfm_song_db_la_LIBADD = \ 
     238        $(GLIB_LIBS) \ 
     239        $(LIBXML_LIBS) \ 
    230240        $(RGC_SERVER_LIBS) 
    231241 
  • trunk/fm_server/src/main.c

    r212 r224  
    2525#include <config.h> 
    2626 
    27 #include <glib.h> 
     27#include <stdio.h> 
    2828#include <unistd.h>     // for sleep() 
    29 #include <gst/gst.h> 
    3029#include <sys/types.h> 
    3130#include <sys/stat.h> 
    32 #include <stdio.h> 
     31#include <fcntl.h> 
     32#include <errno.h> 
     33#include <signal.h> 
    3334#include <string.h> 
    34 #include <fcntl.h> 
    35 #include <signal.h> 
    36 #include <libxml/parser.h> 
    37 #include <libxml/tree.h> 
     35 
     36#include <glib.h> 
     37#include <glib-object.h> 
    3838#include <rgc_server.h> 
    39 #ifdef HAVE_ALSA 
    40 #include <alsa/asoundlib.h> 
    41 #endif 
    42 #ifdef HAVE_JACK 
    43 #undef uintmax_t 
    44 #include <jack/jack.h> 
    45 #endif 
    4639 
    47  
    48 #include "common.h" 
    49 #include "fm_utils.h" 
    50 #include "fm_buffer.h" 
    51 #include "fm_element.h" 
    52 #include "fm_input.h" 
    53 #include "fm_input_test.h" 
    54 /*#include "fm_input_beatgen.h"*/ 
    55 #include "fm_input_gst/jack_ringbuffer.h" 
    56 #include "fm_input_gst/fm_input_gst_common.h" 
    57 #include "fm_input_gst/fm_input_gst.h" 
    58 #include "fm_effect.h" 
    59 #include "fm_effect_gain.h" 
    60 #include "fm_effect_pan.h" 
    61 #include "fm_effect_rate.h" 
    62 #include "fm_output.h" 
    63 #include "fm_mixer.h" 
    64 #include "fm_level_meter.h" 
    65 #include "fm_djmixer.h" 
    66 #include "fm_sync.h" 
    67 #include "fm_pipeline.h" 
    68 #include "fm_song_db/fm_xml_db.h" 
    69 #include "fm_song_db/fm_song_db.h" 
    70 #include "fm_input_cdj.h" 
    71 #ifdef HAVE_ALSA 
    72 #include "fm_output_alsa.h" 
    73 #endif 
    74 #ifdef HAVE_JACK 
    75 #include "fm_output_jack.h" 
    76 #endif 
    7740 
    7841 
     
    8043gboolean global_debug; 
    8144gboolean write_to_disk; 
    82 FmSongDB *global_song_db; 
     45/*FmSongDB *global_song_db;*/ 
     46void *global_song_db; 
    8347 
    8448void test_case (void); 
     49 
     50/* sorry for these, they will go away when we'll move to a real plugin system */ 
     51void fm_element_class_register (void); 
     52void fm_input_class_register (void); 
     53void fm_effect_class_register (void); 
     54void fm_output_class_register (void); 
     55void fm_pipeline_class_register (void); 
     56void fm_input_test_class_register (void); 
     57void fm_effect_gain_class_register (void); 
     58void fm_effect_rate_class_register (void); 
     59void fm_effect_pan_class_register (void); 
     60void fm_input_gst_class_register (void); 
     61void fm_input_cdj_class_register (void); 
     62void fm_mixer_class_register (void); 
     63void fm_djmixer_class_register (void); 
     64void fm_level_meter_class_register (void); 
     65void fm_output_alsa_class_register (void); 
     66void fm_output_jack_class_register (void); 
     67//void fm_output_pulse_class_register (void); 
     68void fm_song_db_class_register (void); 
     69 
     70void *fm_song_db_new (void); 
     71void *gst_init (int*, char***); 
    8572 
    8673void 
     
    151138        fm_output_jack_class_register (); 
    152139#endif 
     140#if HAVE_PULSE 
     141/*      fm_output_jack_class_register ();*/ 
     142#endif 
    153143 
    154144        GMainLoop *main_loop; 
  • trunk/fm_server/test/Makefile.am

    r212 r224  
    1 AM_CPPFLAGS = $(FM_SERVER_TEST_CFLAGS) \ 
     1AM_CPPFLAGS = $(GLIB_CFLAGS) \ 
    22        $(RGC_CLIENT_CFLAGS) 
    33 
    44 
    5 LDADD = $(FM_SERVER_TEST_LIBS) \ 
     5LDADD = $(GLIB_LIBS) \ 
    66        $(RGC_CLIENT_LIBS) 
    77 
  • trunk/fm_server/test/Makefile.in

    r220 r224  
    117117F77 = @F77@ 
    118118FFLAGS = @FFLAGS@ 
    119 FM_SERVER_CFLAGS = @FM_SERVER_CFLAGS@ 
    120 FM_SERVER_LIBS = @FM_SERVER_LIBS@ 
    121 FM_SERVER_TEST_CFLAGS = @FM_SERVER_TEST_CFLAGS@ 
    122 FM_SERVER_TEST_LIBS = @FM_SERVER_TEST_LIBS@ 
     119GLIB_CFLAGS = @GLIB_CFLAGS@ 
     120GLIB_LIBS = @GLIB_LIBS@ 
    123121GMSGFMT = @GMSGFMT@ 
    124122GMSGFMT_015 = @GMSGFMT_015@ 
    125123GREP = @GREP@ 
     124GSTREAMER_CFLAGS = @GSTREAMER_CFLAGS@ 
     125GSTREAMER_LIBS = @GSTREAMER_LIBS@ 
    126126INSTALL = @INSTALL@ 
    127127INSTALL_DATA = @INSTALL_DATA@ 
     
    139139LIBS = @LIBS@ 
    140140LIBTOOL = @LIBTOOL@ 
     141LIBXML_CFLAGS = @LIBXML_CFLAGS@ 
     142LIBXML_LIBS = @LIBXML_LIBS@ 
    141143LN_S = @LN_S@ 
    142144LTLIBICONV = @LTLIBICONV@ 
     
    169171PKG_CONFIG = @PKG_CONFIG@ 
    170172POSUB = @POSUB@ 
     173PULSE_CFLAGS = @PULSE_CFLAGS@ 
     174PULSE_LIBS = @PULSE_LIBS@ 
    171175RANLIB = @RANLIB@ 
    172176RGC_CLIENT_CFLAGS = @RGC_CLIENT_CFLAGS@ 
     
    174178RGC_SERVER_CFLAGS = @RGC_SERVER_CFLAGS@ 
    175179RGC_SERVER_LIBS = @RGC_SERVER_LIBS@ 
     180SAMPLERATE_CFLAGS = @SAMPLERATE_CFLAGS@ 
     181SAMPLERATE_LIBS = @SAMPLERATE_LIBS@ 
    176182SED = @SED@ 
    177183SET_MAKE = @SET_MAKE@ 
     
    233239top_builddir = @top_builddir@ 
    234240top_srcdir = @top_srcdir@ 
    235 AM_CPPFLAGS = $(FM_SERVER_TEST_CFLAGS) \ 
     241AM_CPPFLAGS = $(GLIB_CFLAGS) \ 
    236242        $(RGC_CLIENT_CFLAGS) 
    237243 
    238 LDADD = $(FM_SERVER_TEST_LIBS) \ 
     244LDADD = $(GLIB_LIBS) \ 
    239245        $(RGC_CLIENT_LIBS) 
    240246